require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ARCH_PARISC_LOCAL_H)) {
    eval 'sub _ARCH_PARISC_LOCAL_H () {1;}' unless defined(&_ARCH_PARISC_LOCAL_H);
    require 'linux/percpu.ph';
    require 'asm/atomic.ph';
    eval 'sub LOCAL_INIT {
        my($i) = @_;
	    eval q( &ATOMIC_INIT($i));
    }' unless defined(&LOCAL_INIT);
    eval 'sub local_read {
        my($v) = @_;
	    eval q( &atomic_read($v));
    }' unless defined(&local_read);
    eval 'sub local_set {
        my($v,$i) = @_;
	    eval q( &atomic_set($v,$i));
    }' unless defined(&local_set);
    eval 'sub local_inc {
        my($v) = @_;
	    eval q( &atomic_inc($v));
    }' unless defined(&local_inc);
    eval 'sub local_dec {
        my($v) = @_;
	    eval q( &atomic_dec($v));
    }' unless defined(&local_dec);
    eval 'sub local_add {
        my($i, $v) = @_;
	    eval q( &atomic_add($i, $v));
    }' unless defined(&local_add);
    eval 'sub local_sub {
        my($i, $v) = @_;
	    eval q( &atomic_sub($i, $v));
    }' unless defined(&local_sub);
    eval 'sub __local_inc {
        my($v) = @_;
	    eval q((($v)-> &counter++));
    }' unless defined(&__local_inc);
    eval 'sub __local_dec {
        my($v) = @_;
	    eval q((($v)-> &counter--));
    }' unless defined(&__local_dec);
    eval 'sub __local_add {
        my($i,$v) = @_;
	    eval q((($v)-> &counter+=($i)));
    }' unless defined(&__local_add);
    eval 'sub __local_sub {
        my($i,$v) = @_;
	    eval q((($v)-> &counter-=($i)));
    }' unless defined(&__local_sub);
    eval 'sub cpu_local_read {
        my($v) = @_;
	    eval q( &local_read(& &__get_cpu_var($v)));
    }' unless defined(&cpu_local_read);
    eval 'sub cpu_local_set {
        my($v, $i) = @_;
	    eval q( &local_set(& &__get_cpu_var($v), ($i)));
    }' unless defined(&cpu_local_set);
    eval 'sub cpu_local_inc {
        my($v) = @_;
	    eval q( &local_inc(& &__get_cpu_var($v)));
    }' unless defined(&cpu_local_inc);
    eval 'sub cpu_local_dec {
        my($v) = @_;
	    eval q( &local_dec(& &__get_cpu_var($v)));
    }' unless defined(&cpu_local_dec);
    eval 'sub cpu_local_add {
        my($i, $v) = @_;
	    eval q( &local_add(($i), & &__get_cpu_var($v)));
    }' unless defined(&cpu_local_add);
    eval 'sub cpu_local_sub {
        my($i, $v) = @_;
	    eval q( &local_sub(($i), & &__get_cpu_var($v)));
    }' unless defined(&cpu_local_sub);
    eval 'sub __cpu_local_inc {
        my($v) = @_;
	    eval q( &__local_inc(& &__get_cpu_var($v)));
    }' unless defined(&__cpu_local_inc);
    eval 'sub __cpu_local_dec {
        my($v) = @_;
	    eval q( &__local_dec(& &__get_cpu_var($v)));
    }' unless defined(&__cpu_local_dec);
    eval 'sub __cpu_local_add {
        my($i, $v) = @_;
	    eval q( &__local_add(($i), & &__get_cpu_var($v)));
    }' unless defined(&__cpu_local_add);
    eval 'sub __cpu_local_sub {
        my($i, $v) = @_;
	    eval q( &__local_sub(($i), & &__get_cpu_var($v)));
    }' unless defined(&__cpu_local_sub);
}
1;
