require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_PARISC_MMZONE_H)) {
    eval 'sub _PARISC_MMZONE_H () {1;}' unless defined(&_PARISC_MMZONE_H);
    if(defined(&CONFIG_DISCONTIGMEM)) {
	eval 'sub MAX_PHYSMEM_RANGES () {8;}' unless defined(&MAX_PHYSMEM_RANGES);
	eval 'sub NODE_DATA {
	    my($nid) = @_;
    	    eval q(( ($node_data[$nid]->{pg_data})));
	}' unless defined(&NODE_DATA);
	eval 'sub kvaddr_to_nid {
	    my($kaddr) = @_;
    	    eval q( &pfn_to_nid( &__pa($kaddr) >>  &PAGE_SHIFT));
	}' unless defined(&kvaddr_to_nid);
	eval 'sub node_mem_map {
	    my($nid) = @_;
    	    eval q(( &NODE_DATA($nid)-> &node_mem_map));
	}' unless defined(&node_mem_map);
	eval 'sub node_start_pfn {
	    my($nid) = @_;
    	    eval q(( &NODE_DATA($nid)-> &node_start_pfn));
	}' unless defined(&node_start_pfn);
	eval 'sub node_end_pfn {
	    my($nid) = @_;
    	    eval q(({  &pg_data_t * &__pgdat =  &NODE_DATA($nid);  ($__pgdat->{node_start_pfn}) +  ($__pgdat->{node_spanned_pages}); }));
	}' unless defined(&node_end_pfn);
	eval 'sub node_localnr {
	    my($pfn, $nid) = @_;
    	    eval q((($pfn) -  &node_start_pfn($nid)));
	}' unless defined(&node_localnr);
	eval 'sub local_mapnr {
	    my($kvaddr) = @_;
    	    eval q(({ \'unsigned long __pfn\' =  &__pa($kvaddr) >>  &PAGE_SHIFT; ( &__pfn -  &node_start_pfn( &pfn_to_nid( &__pfn))); }));
	}' unless defined(&local_mapnr);
	eval 'sub pfn_to_page {
	    my($pfn) = @_;
    	    eval q(({ \'unsigned long __pfn\' = ($pfn); \'int\'  &__node =  &pfn_to_nid( &__pfn);  &node_mem_map( &__node)[ &node_localnr( &__pfn, &__node)]; }));
	}' unless defined(&pfn_to_page);
	eval 'sub page_to_pfn {
	    my($pg) = @_;
    	    eval q(({ \'struct page\' * &__page = $pg; \'struct zone\' * &__zone =  &page_zone( &__page);  &BUG_ON( &__zone ==  &NULL); ( &__page -  ($__zone->{zone_mem_map})) +  ($__zone->{zone_start_pfn}); }));
	}' unless defined(&page_to_pfn);
	eval 'sub PFNNID_SHIFT () {(30-  &PAGE_SHIFT);}' unless defined(&PFNNID_SHIFT);
	eval 'sub PFNNID_MAP_MAX () {512;}' unless defined(&PFNNID_MAP_MAX);
	unless(defined(&__LP64__)) {
	    eval 'sub pfn_is_io {
	        my($pfn) = @_;
    		eval q((($pfn & (0xf0000000 >>  &PAGE_SHIFT)) == (0xf0000000 >>  &PAGE_SHIFT)));
	    }' unless defined(&pfn_is_io);
	} else {
	    eval 'sub pfn_is_io {
	        my($pfn) = @_;
    		eval q((($pfn & (1.72938225691027e+19 >>  &PAGE_SHIFT)) == (1.72938225691027e+19 >>  &PAGE_SHIFT)));
	    }' unless defined(&pfn_is_io);
	}
	eval 'sub pfn_to_nid {
	    my($pfn) = @_;
    	    eval q({ my $i; my $r;  &if ( &unlikely) 0;  $i = $pfn >>  &PFNNID_SHIFT;  &BUG_ON( $i >=  &sizeof / $sizeof{ $pfnnid_map[0]});  $r =  $pfnnid_map[ $i];  &BUG_ON( $r == 0xff);  $r; });
	}' unless defined(&pfn_to_nid);
	eval 'sub pfn_valid {
	    my($pfn) = @_;
    	    eval q({ \'int\'  &nid =  &pfn_to_nid($pfn);  &if ( &nid >= 0) ($pfn <  &node_end_pfn( &nid)); 0; });
	}' unless defined(&pfn_valid);
    } else {
	eval 'sub MAX_PHYSMEM_RANGES () {1;}' unless defined(&MAX_PHYSMEM_RANGES);
    }
}
1;
