require '_h2ph_pre.ph';

no warnings 'redefine';

require 'linux/device.ph';
if(defined(&__LP64__)) {
}
unless(defined(&to_parisc_device)) {
    sub to_parisc_device {
	my($d) = @_;
	eval q( &container_of($d, 'struct parisc_device',  &dev));
    }
}
unless(defined(&to_parisc_driver)) {
    sub to_parisc_driver {
	my($d) = @_;
	eval q( &container_of($d, 'struct parisc_driver',  &drv));
    }
}
unless(defined(&parisc_parent)) {
    sub parisc_parent {
	my($d) = @_;
	eval q( &to_parisc_device( ($d->{dev}->{parent})));
    }
}
unless(defined(&parisc_set_drvdata)) {
    sub parisc_set_drvdata {
	my($d,$p) = @_;
	eval q({  &dev_set_drvdata( ($d->{dev}), $p); });
    }
}
unless(defined(&parisc_get_drvdata)) {
    sub parisc_get_drvdata {
	my($d) = @_;
	eval q({  &dev_get_drvdata( ($d->{dev})); });
    }
}
1;
