require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_PARISC_PDC_CHASSIS_H)) {
    eval 'sub _PARISC_PDC_CHASSIS_H () {1;}' unless defined(&_PARISC_PDC_CHASSIS_H);
    eval 'sub PDC_CHASSIS_DIRECT_BSTART () {0;}' unless defined(&PDC_CHASSIS_DIRECT_BSTART);
    eval 'sub PDC_CHASSIS_DIRECT_BCOMPLETE () {1;}' unless defined(&PDC_CHASSIS_DIRECT_BCOMPLETE);
    eval 'sub PDC_CHASSIS_DIRECT_SHUTDOWN () {2;}' unless defined(&PDC_CHASSIS_DIRECT_SHUTDOWN);
    eval 'sub PDC_CHASSIS_DIRECT_PANIC () {3;}' unless defined(&PDC_CHASSIS_DIRECT_PANIC);
    eval 'sub PDC_CHASSIS_DIRECT_HPMC () {4;}' unless defined(&PDC_CHASSIS_DIRECT_HPMC);
    eval 'sub PDC_CHASSIS_DIRECT_LPMC () {5;}' unless defined(&PDC_CHASSIS_DIRECT_LPMC);
    eval 'sub PDC_CHASSIS_DIRECT_DUMP () {6;}' unless defined(&PDC_CHASSIS_DIRECT_DUMP);
    eval 'sub PDC_CHASSIS_DIRECT_OOPS () {7;}' unless defined(&PDC_CHASSIS_DIRECT_OOPS);
    eval 'sub PDC_CHASSIS_DISP_DATA {
        my($v) = @_;
	    eval q((($v) << 17));
    }' unless defined(&PDC_CHASSIS_DISP_DATA);
    eval 'sub PDC_CHASSIS_LED_RUN_OFF () {(0 << 4);}' unless defined(&PDC_CHASSIS_LED_RUN_OFF);
    eval 'sub PDC_CHASSIS_LED_RUN_FLASH () {(1 << 4);}' unless defined(&PDC_CHASSIS_LED_RUN_FLASH);
    eval 'sub PDC_CHASSIS_LED_RUN_ON () {(2 << 4);}' unless defined(&PDC_CHASSIS_LED_RUN_ON);
    eval 'sub PDC_CHASSIS_LED_RUN_NC () {(3 << 4);}' unless defined(&PDC_CHASSIS_LED_RUN_NC);
    eval 'sub PDC_CHASSIS_LED_ATTN_OFF () {(0 << 6);}' unless defined(&PDC_CHASSIS_LED_ATTN_OFF);
    eval 'sub PDC_CHASSIS_LED_ATTN_FLASH () {(1 << 6);}' unless defined(&PDC_CHASSIS_LED_ATTN_FLASH);
    eval 'sub PDC_CHASSIS_LED_ATTN_NC () {(3 << 6);}' unless defined(&PDC_CHASSIS_LED_ATTN_NC);
    eval 'sub PDC_CHASSIS_LED_FAULT_OFF () {(0 << 8);}' unless defined(&PDC_CHASSIS_LED_FAULT_OFF);
    eval 'sub PDC_CHASSIS_LED_FAULT_FLASH () {(1 << 8);}' unless defined(&PDC_CHASSIS_LED_FAULT_FLASH);
    eval 'sub PDC_CHASSIS_LED_FAULT_ON () {(2 << 8);}' unless defined(&PDC_CHASSIS_LED_FAULT_ON);
    eval 'sub PDC_CHASSIS_LED_FAULT_NC () {(3 << 8);}' unless defined(&PDC_CHASSIS_LED_FAULT_NC);
    eval 'sub PDC_CHASSIS_LED_VALID () {(1 << 10);}' unless defined(&PDC_CHASSIS_LED_VALID);
    eval 'sub PDC_CHASSIS_LSTATE_RUN_NORMAL () {( &PDC_CHASSIS_LED_RUN_ON |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_OFF |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_RUN_NORMAL);
    eval 'sub PDC_CHASSIS_LSTATE_RUN_CRASHREC () {( &PDC_CHASSIS_LED_RUN_ON |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_FLASH |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_RUN_CRASHREC);
    eval 'sub PDC_CHASSIS_LSTATE_RUN_SYSINT () {( &PDC_CHASSIS_LED_RUN_ON |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_OFF |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_RUN_SYSINT);
    eval 'sub PDC_CHASSIS_LSTATE_RUN_NCRIT () {( &PDC_CHASSIS_LED_RUN_ON |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_FLASH |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_RUN_NCRIT);
    eval 'sub PDC_CHASSIS_LSTATE_NONOS () {( &PDC_CHASSIS_LED_RUN_FLASH |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_OFF |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_NONOS);
    eval 'sub PDC_CHASSIS_LSTATE_NONOS_BFAIL () {( &PDC_CHASSIS_LED_RUN_FLASH |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_ON |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_NONOS_BFAIL);
    eval 'sub PDC_CHASSIS_LSTATE_NONOS_UNEXP () {( &PDC_CHASSIS_LED_RUN_FLASH |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_FLASH |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_NONOS_UNEXP);
    eval 'sub PDC_CHASSIS_LSTATE_NONOS_NCRIT () {( &PDC_CHASSIS_LED_RUN_FLASH |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_OFF |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_NONOS_NCRIT);
    eval 'sub PDC_CHASSIS_LSTATE_BFAIL_NCRIT () {( &PDC_CHASSIS_LED_RUN_FLASH |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_ON |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_BFAIL_NCRIT);
    eval 'sub PDC_CHASSIS_LSTATE_UNEXP_NCRIT () {( &PDC_CHASSIS_LED_RUN_FLASH |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_FLASH |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_UNEXP_NCRIT);
    eval 'sub PDC_CHASSIS_LSTATE_CANNOT_PDC () {( &PDC_CHASSIS_LED_RUN_OFF |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_OFF |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_CANNOT_PDC);
    eval 'sub PDC_CHASSIS_LSTATE_FATAL_BFAIL () {( &PDC_CHASSIS_LED_RUN_OFF |  &PDC_CHASSIS_LED_ATTN_OFF |  &PDC_CHASSIS_LED_FAULT_ON |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_FATAL_BFAIL);
    eval 'sub PDC_CHASSIS_LSTATE_NOCODE_NCRIT () {( &PDC_CHASSIS_LED_RUN_OFF |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_OFF |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_NOCODE_NCRIT);
    eval 'sub PDC_CHASSIS_LSTATE_FATAL_NCRIT () {( &PDC_CHASSIS_LED_RUN_OFF |  &PDC_CHASSIS_LED_ATTN_FLASH |  &PDC_CHASSIS_LED_FAULT_ON |  &PDC_CHASSIS_LED_VALID );}' unless defined(&PDC_CHASSIS_LSTATE_FATAL_NCRIT);
    eval 'sub PDC_CHASSIS_ALERT_FORWARD () {(0 << 36);}' unless defined(&PDC_CHASSIS_ALERT_FORWARD);
    eval 'sub PDC_CHASSIS_ALERT_SERPROC () {(1 << 36);}' unless defined(&PDC_CHASSIS_ALERT_SERPROC);
    eval 'sub PDC_CHASSIS_ALERT_NURGENT () {(2 << 36);}' unless defined(&PDC_CHASSIS_ALERT_NURGENT);
    eval 'sub PDC_CHASSIS_ALERT_BLOCKED () {(3 << 36);}' unless defined(&PDC_CHASSIS_ALERT_BLOCKED);
    eval 'sub PDC_CHASSIS_ALERT_CONF_CHG () {(4 << 36);}' unless defined(&PDC_CHASSIS_ALERT_CONF_CHG);
    eval 'sub PDC_CHASSIS_ALERT_ENV_PB () {(5 << 36);}' unless defined(&PDC_CHASSIS_ALERT_ENV_PB);
    eval 'sub PDC_CHASSIS_ALERT_PENDING () {(6 << 36);}' unless defined(&PDC_CHASSIS_ALERT_PENDING);
    eval 'sub PDC_CHASSIS_ALERT_PERF_IMP () {(8 << 36);}' unless defined(&PDC_CHASSIS_ALERT_PERF_IMP);
    eval 'sub PDC_CHASSIS_ALERT_FUNC_IMP () {(10 << 36);}' unless defined(&PDC_CHASSIS_ALERT_FUNC_IMP);
    eval 'sub PDC_CHASSIS_ALERT_SOFT_FAIL () {(12 << 36);}' unless defined(&PDC_CHASSIS_ALERT_SOFT_FAIL);
    eval 'sub PDC_CHASSIS_ALERT_HANG () {(13 << 36);}' unless defined(&PDC_CHASSIS_ALERT_HANG);
    eval 'sub PDC_CHASSIS_ALERT_ENV_FATAL () {(14 << 36);}' unless defined(&PDC_CHASSIS_ALERT_ENV_FATAL);
    eval 'sub PDC_CHASSIS_ALERT_HW_FATAL () {(15 << 36);}' unless defined(&PDC_CHASSIS_ALERT_HW_FATAL);
    eval 'sub PDC_CHASSIS_SRC_NONE () {(0 << 28);}' unless defined(&PDC_CHASSIS_SRC_NONE);
    eval 'sub PDC_CHASSIS_SRC_PROC () {(1 << 28);}' unless defined(&PDC_CHASSIS_SRC_PROC);
    eval 'sub PDC_CHASSIS_SRC_PROC_CACHE () {(2 << 28);}' unless defined(&PDC_CHASSIS_SRC_PROC_CACHE);
    eval 'sub PDC_CHASSIS_SRC_PDH () {(3 << 28);}' unless defined(&PDC_CHASSIS_SRC_PDH);
    eval 'sub PDC_CHASSIS_SRC_PWR () {(4 << 28);}' unless defined(&PDC_CHASSIS_SRC_PWR);
    eval 'sub PDC_CHASSIS_SRC_FAB () {(5 << 28);}' unless defined(&PDC_CHASSIS_SRC_FAB);
    eval 'sub PDC_CHASSIS_SRC_PLATi () {(6 << 28);}' unless defined(&PDC_CHASSIS_SRC_PLATi);
    eval 'sub PDC_CHASSIS_SRC_MEM () {(7 << 28);}' unless defined(&PDC_CHASSIS_SRC_MEM);
    eval 'sub PDC_CHASSIS_SRC_IO () {(8 << 28);}' unless defined(&PDC_CHASSIS_SRC_IO);
    eval 'sub PDC_CHASSIS_SRC_CELL () {(9 << 28);}' unless defined(&PDC_CHASSIS_SRC_CELL);
    eval 'sub PDC_CHASSIS_SRC_PD () {(10 << 28);}' unless defined(&PDC_CHASSIS_SRC_PD);
    eval 'sub PDC_CHASSIS_SRC_D_PROC () {(1 << 24);}' unless defined(&PDC_CHASSIS_SRC_D_PROC);
    eval 'sub PDC_CHASSIS_SRC_ID_UNSPEC () {(0 << 16);}' unless defined(&PDC_CHASSIS_SRC_ID_UNSPEC);
    eval 'sub PDC_CHASSIS_PB_D_PROC_NONE () {(0 << 32);}' unless defined(&PDC_CHASSIS_PB_D_PROC_NONE);
    eval 'sub PDC_CHASSIS_PB_D_PROC_TIMEOUT () {(4 << 32);}' unless defined(&PDC_CHASSIS_PB_D_PROC_TIMEOUT);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_BL () {(7 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_BL);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_PD () {(8 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_PD);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_EVENT () {(9 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_EVENT);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_IO () {(10 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_IO);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_PANIC () {(11 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_PANIC);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_INIT () {(12 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_INIT);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_SHUT () {(13 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_SHUT);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_WARN () {(14 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_WARN);
    eval 'sub PDC_CHASSIS_CALL_ACT_HPUX_DU () {(15 << 12);}' unless defined(&PDC_CHASSIS_CALL_ACT_HPUX_DU);
    eval 'sub PDC_CHASSIS_ACT_STATUS_UNSPEC () {(0 << 0);}' unless defined(&PDC_CHASSIS_ACT_STATUS_UNSPEC);
    eval 'sub PDC_CHASSIS_CALL_SACT_UNSPEC () {(0 << 4);}' unless defined(&PDC_CHASSIS_CALL_SACT_UNSPEC);
    eval 'sub PDC_CHASSIS_RET_GENERICOS () {(12 << 52);}' unless defined(&PDC_CHASSIS_RET_GENERICOS);
    eval 'sub PDC_CHASSIS_RET_IA64_NT () {(13 << 52);}' unless defined(&PDC_CHASSIS_RET_IA64_NT);
    eval 'sub PDC_CHASSIS_RET_HPUX () {(14 << 52);}' unless defined(&PDC_CHASSIS_RET_HPUX);
    eval 'sub PDC_CHASSIS_RET_DIAG () {(15 << 52);}' unless defined(&PDC_CHASSIS_RET_DIAG);
    eval 'sub PDC_CHASSIS_REID_UNSPEC () {(0 << 44);}' unless defined(&PDC_CHASSIS_REID_UNSPEC);
    eval 'sub PDC_CHASSIS_DT_NONE () {(0 << 59);}' unless defined(&PDC_CHASSIS_DT_NONE);
    eval 'sub PDC_CHASSIS_DT_PHYS_ADDR () {(1 << 59);}' unless defined(&PDC_CHASSIS_DT_PHYS_ADDR);
    eval 'sub PDC_CHASSIS_DT_DATA_EXPECT () {(2 << 59);}' unless defined(&PDC_CHASSIS_DT_DATA_EXPECT);
    eval 'sub PDC_CHASSIS_DT_ACTUAL () {(3 << 59);}' unless defined(&PDC_CHASSIS_DT_ACTUAL);
    eval 'sub PDC_CHASSIS_DT_PHYS_LOC () {(4 << 59);}' unless defined(&PDC_CHASSIS_DT_PHYS_LOC);
    eval 'sub PDC_CHASSIS_DT_PHYS_LOC_EXT () {(5 << 59);}' unless defined(&PDC_CHASSIS_DT_PHYS_LOC_EXT);
    eval 'sub PDC_CHASSIS_DT_TAG () {(6 << 59);}' unless defined(&PDC_CHASSIS_DT_TAG);
    eval 'sub PDC_CHASSIS_DT_SYNDROME () {(7 << 59);}' unless defined(&PDC_CHASSIS_DT_SYNDROME);
    eval 'sub PDC_CHASSIS_DT_CODE_ADDR () {(8 << 59);}' unless defined(&PDC_CHASSIS_DT_CODE_ADDR);
    eval 'sub PDC_CHASSIS_DT_ASCII_MSG () {(9 << 59);}' unless defined(&PDC_CHASSIS_DT_ASCII_MSG);
    eval 'sub PDC_CHASSIS_DT_POST () {(10 << 59);}' unless defined(&PDC_CHASSIS_DT_POST);
    eval 'sub PDC_CHASSIS_DT_TIMESTAMP () {(11 << 59);}' unless defined(&PDC_CHASSIS_DT_TIMESTAMP);
    eval 'sub PDC_CHASSIS_DT_DEV_STAT () {(12 << 59);}' unless defined(&PDC_CHASSIS_DT_DEV_STAT);
    eval 'sub PDC_CHASSIS_DT_DEV_TYPE () {(13 << 59);}' unless defined(&PDC_CHASSIS_DT_DEV_TYPE);
    eval 'sub PDC_CHASSIS_DT_PB_DET () {(14 << 59);}' unless defined(&PDC_CHASSIS_DT_PB_DET);
    eval 'sub PDC_CHASSIS_DT_ACT_LEV () {(15 << 59);}' unless defined(&PDC_CHASSIS_DT_ACT_LEV);
    eval 'sub PDC_CHASSIS_DT_SER_NUM () {(16 << 59);}' unless defined(&PDC_CHASSIS_DT_SER_NUM);
    eval 'sub PDC_CHASSIS_DT_REV_NUM () {(17 << 59);}' unless defined(&PDC_CHASSIS_DT_REV_NUM);
    eval 'sub PDC_CHASSIS_DT_INTERRUPT () {(18 << 59);}' unless defined(&PDC_CHASSIS_DT_INTERRUPT);
    eval 'sub PDC_CHASSIS_DT_TEST_NUM () {(19 << 59);}' unless defined(&PDC_CHASSIS_DT_TEST_NUM);
    eval 'sub PDC_CHASSIS_DT_STATE_CHG () {(20 << 59);}' unless defined(&PDC_CHASSIS_DT_STATE_CHG);
    eval 'sub PDC_CHASSIS_DT_PROC_DEALLOC () {(21 << 59);}' unless defined(&PDC_CHASSIS_DT_PROC_DEALLOC);
    eval 'sub PDC_CHASSIS_DT_RESET () {(30 << 59);}' unless defined(&PDC_CHASSIS_DT_RESET);
    eval 'sub PDC_CHASSIS_DT_PA_LEGACY () {(31 << 59);}' unless defined(&PDC_CHASSIS_DT_PA_LEGACY);
    eval 'sub PDC_CHASSIS_SYSTATE_BSTART () {(0 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_BSTART);
    eval 'sub PDC_CHASSIS_SYSTATE_BCOMP () {(1 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_BCOMP);
    eval 'sub PDC_CHASSIS_SYSTATE_CHANGE () {(2 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_CHANGE);
    eval 'sub PDC_CHASSIS_SYSTATE_LED () {(3 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_LED);
    eval 'sub PDC_CHASSIS_SYSTATE_PANIC () {(9 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_PANIC);
    eval 'sub PDC_CHASSIS_SYSTATE_DUMP () {(10 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_DUMP);
    eval 'sub PDC_CHASSIS_SYSTATE_HPMC () {(11 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_HPMC);
    eval 'sub PDC_CHASSIS_SYSTATE_HALT () {(15 << 0);}' unless defined(&PDC_CHASSIS_SYSTATE_HALT);
    eval 'sub PDC_CHASSIS_MSG_ID () {(0 << 40);}' unless defined(&PDC_CHASSIS_MSG_ID);
    eval 'sub PDC_CHASSIS_EOM_CLEAR () {(0 << 43);}' unless defined(&PDC_CHASSIS_EOM_CLEAR);
    eval 'sub PDC_CHASSIS_EOM_SET () {(1 << 43);}' unless defined(&PDC_CHASSIS_EOM_SET);
    eval 'sub PDC_CHASSIS_PMSG_BSTART () {( &PDC_CHASSIS_ALERT_SERPROC |  &PDC_CHASSIS_SRC_PROC |  &PDC_CHASSIS_SRC_D_PROC |  &PDC_CHASSIS_SRC_ID_UNSPEC |  &PDC_CHASSIS_PB_D_PROC_NONE |  &PDC_CHASSIS_CALL_ACT_HPUX_INIT |  &PDC_CHASSIS_ACT_STATUS_UNSPEC |  &PDC_CHASSIS_CALL_SACT_UNSPEC |  &PDC_CHASSIS_RET_HPUX |  &PDC_CHASSIS_REID_UNSPEC |  &PDC_CHASSIS_DT_STATE_CHG |  &PDC_CHASSIS_SYSTATE_BSTART |  &PDC_CHASSIS_MSG_ID |  &PDC_CHASSIS_EOM_SET );}' unless defined(&PDC_CHASSIS_PMSG_BSTART);
    eval 'sub PDC_CHASSIS_PMSG_BCOMPLETE () {( &PDC_CHASSIS_ALERT_SERPROC |  &PDC_CHASSIS_SRC_PROC |  &PDC_CHASSIS_SRC_D_PROC |  &PDC_CHASSIS_SRC_ID_UNSPEC |  &PDC_CHASSIS_PB_D_PROC_NONE |  &PDC_CHASSIS_CALL_ACT_HPUX_INIT |  &PDC_CHASSIS_ACT_STATUS_UNSPEC |  &PDC_CHASSIS_CALL_SACT_UNSPEC |  &PDC_CHASSIS_RET_HPUX |  &PDC_CHASSIS_REID_UNSPEC |  &PDC_CHASSIS_DT_STATE_CHG |  &PDC_CHASSIS_SYSTATE_BCOMP |  &PDC_CHASSIS_MSG_ID |  &PDC_CHASSIS_EOM_SET );}' unless defined(&PDC_CHASSIS_PMSG_BCOMPLETE);
    eval 'sub PDC_CHASSIS_PMSG_SHUTDOWN () {( &PDC_CHASSIS_ALERT_SERPROC |  &PDC_CHASSIS_SRC_PROC |  &PDC_CHASSIS_SRC_D_PROC |  &PDC_CHASSIS_SRC_ID_UNSPEC |  &PDC_CHASSIS_PB_D_PROC_NONE |  &PDC_CHASSIS_CALL_ACT_HPUX_SHUT |  &PDC_CHASSIS_ACT_STATUS_UNSPEC |  &PDC_CHASSIS_CALL_SACT_UNSPEC |  &PDC_CHASSIS_RET_HPUX |  &PDC_CHASSIS_REID_UNSPEC |  &PDC_CHASSIS_DT_STATE_CHG |  &PDC_CHASSIS_SYSTATE_HALT |  &PDC_CHASSIS_MSG_ID |  &PDC_CHASSIS_EOM_SET );}' unless defined(&PDC_CHASSIS_PMSG_SHUTDOWN);
    eval 'sub PDC_CHASSIS_PMSG_PANIC () {( &PDC_CHASSIS_ALERT_SOFT_FAIL |  &PDC_CHASSIS_SRC_PROC |  &PDC_CHASSIS_SRC_D_PROC |  &PDC_CHASSIS_SRC_ID_UNSPEC |  &PDC_CHASSIS_PB_D_PROC_NONE |  &PDC_CHASSIS_CALL_ACT_HPUX_PANIC|  &PDC_CHASSIS_ACT_STATUS_UNSPEC |  &PDC_CHASSIS_CALL_SACT_UNSPEC |  &PDC_CHASSIS_RET_HPUX |  &PDC_CHASSIS_REID_UNSPEC |  &PDC_CHASSIS_DT_STATE_CHG |  &PDC_CHASSIS_SYSTATE_PANIC |  &PDC_CHASSIS_MSG_ID |  &PDC_CHASSIS_EOM_SET );}' unless defined(&PDC_CHASSIS_PMSG_PANIC);
    eval 'sub PDC_CHASSIS_PMSG_HPMC () {( &PDC_CHASSIS_ALERT_CONF_CHG |  &PDC_CHASSIS_SRC_PROC |  &PDC_CHASSIS_SRC_D_PROC |  &PDC_CHASSIS_SRC_ID_UNSPEC |  &PDC_CHASSIS_PB_D_PROC_NONE |  &PDC_CHASSIS_CALL_ACT_HPUX_WARN |  &PDC_CHASSIS_RET_HPUX |  &PDC_CHASSIS_DT_STATE_CHG |  &PDC_CHASSIS_SYSTATE_HPMC |  &PDC_CHASSIS_MSG_ID |  &PDC_CHASSIS_EOM_SET );}' unless defined(&PDC_CHASSIS_PMSG_HPMC);
    eval 'sub PDC_CHASSIS_PMSG_LPMC () {( &PDC_CHASSIS_ALERT_BLOCKED |  &PDC_CHASSIS_SRC_PROC |  &PDC_CHASSIS_SRC_D_PROC |  &PDC_CHASSIS_SRC_ID_UNSPEC |  &PDC_CHASSIS_PB_D_PROC_NONE |  &PDC_CHASSIS_CALL_ACT_HPUX_WARN |  &PDC_CHASSIS_ACT_STATUS_UNSPEC |  &PDC_CHASSIS_CALL_SACT_UNSPEC |  &PDC_CHASSIS_RET_HPUX |  &PDC_CHASSIS_REID_UNSPEC |  &PDC_CHASSIS_DT_STATE_CHG |  &PDC_CHASSIS_SYSTATE_CHANGE |  &PDC_CHASSIS_MSG_ID |  &PDC_CHASSIS_EOM_SET );}' unless defined(&PDC_CHASSIS_PMSG_LPMC);
}
1;
