require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_PARISC_SIGNAL_H)) {
    eval 'sub _ASM_PARISC_SIGNAL_H () {1;}' unless defined(&_ASM_PARISC_SIGNAL_H);
    eval 'sub SIGHUP () {1;}' unless defined(&SIGHUP);
    eval 'sub SIGINT () {2;}' unless defined(&SIGINT);
    eval 'sub SIGQUIT () {3;}' unless defined(&SIGQUIT);
    eval 'sub SIGILL () {4;}' unless defined(&SIGILL);
    eval 'sub SIGTRAP () {5;}' unless defined(&SIGTRAP);
    eval 'sub SIGABRT () {6;}' unless defined(&SIGABRT);
    eval 'sub SIGIOT () {6;}' unless defined(&SIGIOT);
    eval 'sub SIGEMT () {7;}' unless defined(&SIGEMT);
    eval 'sub SIGFPE () {8;}' unless defined(&SIGFPE);
    eval 'sub SIGKILL () {9;}' unless defined(&SIGKILL);
    eval 'sub SIGBUS () {10;}' unless defined(&SIGBUS);
    eval 'sub SIGSEGV () {11;}' unless defined(&SIGSEGV);
    eval 'sub SIGSYS () {12;}' unless defined(&SIGSYS);
    eval 'sub SIGPIPE () {13;}' unless defined(&SIGPIPE);
    eval 'sub SIGALRM () {14;}' unless defined(&SIGALRM);
    eval 'sub SIGTERM () {15;}' unless defined(&SIGTERM);
    eval 'sub SIGUSR1 () {16;}' unless defined(&SIGUSR1);
    eval 'sub SIGUSR2 () {17;}' unless defined(&SIGUSR2);
    eval 'sub SIGCHLD () {18;}' unless defined(&SIGCHLD);
    eval 'sub SIGPWR () {19;}' unless defined(&SIGPWR);
    eval 'sub SIGVTALRM () {20;}' unless defined(&SIGVTALRM);
    eval 'sub SIGPROF () {21;}' unless defined(&SIGPROF);
    eval 'sub SIGIO () {22;}' unless defined(&SIGIO);
    eval 'sub SIGPOLL () { &SIGIO;}' unless defined(&SIGPOLL);
    eval 'sub SIGWINCH () {23;}' unless defined(&SIGWINCH);
    eval 'sub SIGSTOP () {24;}' unless defined(&SIGSTOP);
    eval 'sub SIGTSTP () {25;}' unless defined(&SIGTSTP);
    eval 'sub SIGCONT () {26;}' unless defined(&SIGCONT);
    eval 'sub SIGTTIN () {27;}' unless defined(&SIGTTIN);
    eval 'sub SIGTTOU () {28;}' unless defined(&SIGTTOU);
    eval 'sub SIGURG () {29;}' unless defined(&SIGURG);
    eval 'sub SIGLOST () {30;}' unless defined(&SIGLOST);
    eval 'sub SIGUNUSED () {31;}' unless defined(&SIGUNUSED);
    eval 'sub SIGRESERVE () { &SIGUNUSED;}' unless defined(&SIGRESERVE);
    eval 'sub SIGXCPU () {33;}' unless defined(&SIGXCPU);
    eval 'sub SIGXFSZ () {34;}' unless defined(&SIGXFSZ);
    eval 'sub SIGSTKFLT () {36;}' unless defined(&SIGSTKFLT);
    eval 'sub SIGRTMIN () {37;}' unless defined(&SIGRTMIN);
    eval 'sub SIGRTMAX () { &_NSIG;}' unless defined(&SIGRTMAX);
    eval 'sub SA_ONSTACK () {0x1;}' unless defined(&SA_ONSTACK);
    eval 'sub SA_RESETHAND () {0x4;}' unless defined(&SA_RESETHAND);
    eval 'sub SA_NOCLDSTOP () {0x8;}' unless defined(&SA_NOCLDSTOP);
    eval 'sub SA_SIGINFO () {0x10;}' unless defined(&SA_SIGINFO);
    eval 'sub SA_NODEFER () {0x20;}' unless defined(&SA_NODEFER);
    eval 'sub SA_RESTART () {0x40;}' unless defined(&SA_RESTART);
    eval 'sub SA_NOCLDWAIT () {0x80;}' unless defined(&SA_NOCLDWAIT);
    eval 'sub _SA_SIGGFAULT () {0x100;}' unless defined(&_SA_SIGGFAULT);
    eval 'sub SA_NOMASK () { &SA_NODEFER;}' unless defined(&SA_NOMASK);
    eval 'sub SA_ONESHOT () { &SA_RESETHAND;}' unless defined(&SA_ONESHOT);
    eval 'sub SA_INTERRUPT () {0x20000000;}' unless defined(&SA_INTERRUPT);
    eval 'sub SA_RESTORER () {0x4000000;}' unless defined(&SA_RESTORER);
    eval 'sub SS_ONSTACK () {1;}' unless defined(&SS_ONSTACK);
    eval 'sub SS_DISABLE () {2;}' unless defined(&SS_DISABLE);
    eval 'sub MINSIGSTKSZ () {2048;}' unless defined(&MINSIGSTKSZ);
    eval 'sub SIGSTKSZ () {8192;}' unless defined(&SIGSTKSZ);
    if(defined(&__KERNEL__)) {
	eval 'sub _NSIG () {64;}' unless defined(&_NSIG);
	eval 'sub _NSIG_BPW () { &BITS_PER_LONG;}' unless defined(&_NSIG_BPW);
	eval 'sub _NSIG_WORDS () {( &_NSIG /  &_NSIG_BPW);}' unless defined(&_NSIG_WORDS);
	eval 'sub SA_PROBE () { &SA_ONESHOT;}' unless defined(&SA_PROBE);
	eval 'sub SA_SAMPLE_RANDOM () { &SA_RESTART;}' unless defined(&SA_SAMPLE_RANDOM);
	eval 'sub SA_SHIRQ () {0x4000000;}' unless defined(&SA_SHIRQ);
    }
    eval 'sub SIG_BLOCK () {0;}' unless defined(&SIG_BLOCK);
    eval 'sub SIG_UNBLOCK () {1;}' unless defined(&SIG_UNBLOCK);
    eval 'sub SIG_SETMASK () {2;}' unless defined(&SIG_SETMASK);
    eval 'sub SIG_DFL () {(( &__sighandler_t)0);}' unless defined(&SIG_DFL);
    eval 'sub SIG_IGN () {(( &__sighandler_t)1);}' unless defined(&SIG_IGN);
    eval 'sub SIG_ERR () {(( &__sighandler_t)-1);}' unless defined(&SIG_ERR);
    unless(defined(&__ASSEMBLY__)) {
	require 'linux/types.ph';
	if(defined(&__LP64__)) {
	} else {
	}
	if(defined(&__KERNEL__)) {
	    eval 'sub ptrace_signal_deliver {
	        my($regs, $cookie) = @_;
    		eval q( &do { }  &while (0));
	    }' unless defined(&ptrace_signal_deliver);
	    require 'asm/sigcontext.ph';
	}
    }
}
1;
