require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_PARISC_SUPERIO_H)) {
    eval 'sub _PARISC_SUPERIO_H () {1;}' unless defined(&_PARISC_SUPERIO_H);
    eval 'sub IC_PIC1 () {0x20;}' unless defined(&IC_PIC1);
    eval 'sub IC_PIC2 () {0xa0;}' unless defined(&IC_PIC2);
    eval 'sub SIO_CR () {0x5a;}' unless defined(&SIO_CR);
    eval 'sub SIO_ACPIBAR () {0x88;}' unless defined(&SIO_ACPIBAR);
    eval 'sub SIO_FDCBAR () {0x90;}' unless defined(&SIO_FDCBAR);
    eval 'sub SIO_SP1BAR () {0x94;}' unless defined(&SIO_SP1BAR);
    eval 'sub SIO_SP2BAR () {0x98;}' unless defined(&SIO_SP2BAR);
    eval 'sub SIO_PPBAR () {0x9c;}' unless defined(&SIO_PPBAR);
    eval 'sub TRIGGER_1 () {0x67;}' unless defined(&TRIGGER_1);
    eval 'sub TRIGGER_2 () {0x68;}' unless defined(&TRIGGER_2);
    eval 'sub CFG_IR_SER () {0x69;}' unless defined(&CFG_IR_SER);
    eval 'sub CFG_IR_PFD () {0x6a;}' unless defined(&CFG_IR_PFD);
    eval 'sub CFG_IR_IDE () {0x6b;}' unless defined(&CFG_IR_IDE);
    eval 'sub CFG_IR_INTAB () {0x6c;}' unless defined(&CFG_IR_INTAB);
    eval 'sub CFG_IR_INTCD () {0x6d;}' unless defined(&CFG_IR_INTCD);
    eval 'sub CFG_IR_PS2 () {0x6e;}' unless defined(&CFG_IR_PS2);
    eval 'sub CFG_IR_FXBUS () {0x6f;}' unless defined(&CFG_IR_FXBUS);
    eval 'sub CFG_IR_USB () {0x70;}' unless defined(&CFG_IR_USB);
    eval 'sub CFG_IR_ACPI () {0x71;}' unless defined(&CFG_IR_ACPI);
    eval 'sub CFG_IR_LOW () { &CFG_IR_SER;}' unless defined(&CFG_IR_LOW);
    eval 'sub CFG_IR_HIGH () { &CFG_IR_ACPI;}' unless defined(&CFG_IR_HIGH);
    eval 'sub OCW2_EOI () {0x20;}' unless defined(&OCW2_EOI);
    eval 'sub OCW2_SEOI () {0x60;}' unless defined(&OCW2_SEOI);
    eval 'sub OCW3_IIR () {0xa;}' unless defined(&OCW3_IIR);
    eval 'sub OCW3_ISR () {0xb;}' unless defined(&OCW3_ISR);
    eval 'sub OCW3_POLL () {0xc;}' unless defined(&OCW3_POLL);
    eval 'sub USB_IRQ () {1;}' unless defined(&USB_IRQ);
    eval 'sub SP1_IRQ () {3;}' unless defined(&SP1_IRQ);
    eval 'sub SP2_IRQ () {4;}' unless defined(&SP2_IRQ);
    eval 'sub PAR_IRQ () {5;}' unless defined(&PAR_IRQ);
    eval 'sub FDC_IRQ () {6;}' unless defined(&FDC_IRQ);
    eval 'sub IDE_IRQ () {7;}' unless defined(&IDE_IRQ);
    eval 'sub USB_REG_CR () {0x1f;}' unless defined(&USB_REG_CR);
    eval 'sub SUPERIO_NIRQS () {8;}' unless defined(&SUPERIO_NIRQS);
    eval 'sub SUPERIO_IDE_FN () {0;}' unless defined(&SUPERIO_IDE_FN);
    eval 'sub SUPERIO_LIO_FN () {1;}' unless defined(&SUPERIO_LIO_FN);
    eval 'sub SUPERIO_USB_FN () {2;}' unless defined(&SUPERIO_USB_FN);
    eval 'sub is_superio_device {
        my($x) = @_;
	    eval q(((($x)-> &vendor ==  &PCI_VENDOR_ID_NS)  && ( (($x)-> &device ==  &PCI_DEVICE_ID_NS_87415) || (($x)-> &device ==  &PCI_DEVICE_ID_NS_87560_LIO) || (($x)-> &device ==  &PCI_DEVICE_ID_NS_87560_USB) ) ));
    }' unless defined(&is_superio_device);
}
1;
