require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_PARISC_THREAD_INFO_H)) {
    eval 'sub _ASM_PARISC_THREAD_INFO_H () {1;}' unless defined(&_ASM_PARISC_THREAD_INFO_H);
    unless(defined(&__ASSEMBLY__)) {
	require 'asm/processor.ph';
	eval 'sub INIT_THREAD_INFO {
	    my($tsk) = @_;
    	    eval q({ . &task = $tsk, . &exec_domain =  &default_exec_domain, . &flags = 0, . &cpu = 0, . &addr_limit =  &KERNEL_DS, . &preempt_count = 0, . &restart_block = { . &fn =  &do_no_restart_syscall } });
	}' unless defined(&INIT_THREAD_INFO);
	eval 'sub init_thread_info () {( ($init_thread_union->{thread_info}));}' unless defined(&init_thread_info);
	eval 'sub init_stack () {( ($init_thread_union->{stack}));}' unless defined(&init_stack);
	eval 'sub THREAD_ORDER () {2;}' unless defined(&THREAD_ORDER);
	eval 'sub THREAD_SIZE () {( &PAGE_SIZE <<  &THREAD_ORDER);}' unless defined(&THREAD_SIZE);
	eval 'sub THREAD_SHIFT () {( &PAGE_SHIFT +  &THREAD_ORDER);}' unless defined(&THREAD_SHIFT);
	eval 'sub alloc_thread_info {
	    my($tsk) = @_;
    	    eval q((  &__get_free_pages( &GFP_KERNEL,  &THREAD_ORDER)));
	}' unless defined(&alloc_thread_info);
	eval 'sub free_thread_info {
	    my($ti) = @_;
    	    eval q( &free_pages( ($ti),  &THREAD_ORDER));
	}' unless defined(&free_thread_info);
	eval 'sub get_thread_info {
	    my($ti) = @_;
    	    eval q( &get_task_struct(($ti)-> &task));
	}' unless defined(&get_thread_info);
	eval 'sub put_thread_info {
	    my($ti) = @_;
    	    eval q( &put_task_struct(($ti)-> &task));
	}' unless defined(&put_thread_info);
	eval 'sub current_thread_info () {
	    eval q(( &mfctl(30)));
	}' unless defined(&current_thread_info);
    }
    eval 'sub PREEMPT_ACTIVE () {0x4000000;}' unless defined(&PREEMPT_ACTIVE);
    eval 'sub TIF_SYSCALL_TRACE () {0;}' unless defined(&TIF_SYSCALL_TRACE);
    eval 'sub TIF_NOTIFY_RESUME () {1;}' unless defined(&TIF_NOTIFY_RESUME);
    eval 'sub TIF_SIGPENDING () {2;}' unless defined(&TIF_SIGPENDING);
    eval 'sub TIF_NEED_RESCHED () {3;}' unless defined(&TIF_NEED_RESCHED);
    eval 'sub TIF_POLLING_NRFLAG () {4;}' unless defined(&TIF_POLLING_NRFLAG);
    eval 'sub TIF_32BIT () {5;}' unless defined(&TIF_32BIT);
    eval 'sub TIF_MEMDIE () {6;}' unless defined(&TIF_MEMDIE);
    eval 'sub _TIF_SYSCALL_TRACE () {(1<<  &TIF_SYSCALL_TRACE);}' unless defined(&_TIF_SYSCALL_TRACE);
    eval 'sub _TIF_NOTIFY_RESUME () {(1<<  &TIF_NOTIFY_RESUME);}' unless defined(&_TIF_NOTIFY_RESUME);
    eval 'sub _TIF_SIGPENDING () {(1<<  &TIF_SIGPENDING);}' unless defined(&_TIF_SIGPENDING);
    eval 'sub _TIF_NEED_RESCHED () {(1<<  &TIF_NEED_RESCHED);}' unless defined(&_TIF_NEED_RESCHED);
    eval 'sub _TIF_POLLING_NRFLAG () {(1<<  &TIF_POLLING_NRFLAG);}' unless defined(&_TIF_POLLING_NRFLAG);
    eval 'sub _TIF_32BIT () {(1<<  &TIF_32BIT);}' unless defined(&_TIF_32BIT);
    eval 'sub _TIF_USER_WORK_MASK () {( &_TIF_NOTIFY_RESUME |  &_TIF_SIGPENDING |  &_TIF_NEED_RESCHED);}' unless defined(&_TIF_USER_WORK_MASK);
}
1;
