require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_IPTABLES_H)) {
    eval 'sub _IPTABLES_H () {1;}' unless defined(&_IPTABLES_H);
    if(defined(&__KERNEL__)) {
	require 'linux/if.ph';
	require 'linux/types.ph';
	require 'linux/in.ph';
	require 'linux/ip.ph';
	require 'linux/skbuff.ph';
    }
    require 'linux/compiler.ph';
    require 'linux/netfilter_ipv4.ph';
    eval 'sub IPT_FUNCTION_MAXNAMELEN () {30;}' unless defined(&IPT_FUNCTION_MAXNAMELEN);
    eval 'sub IPT_TABLE_MAXNAMELEN () {32;}' unless defined(&IPT_TABLE_MAXNAMELEN);
    eval 'sub IPT_F_FRAG () {0x1;}' unless defined(&IPT_F_FRAG);
    eval 'sub IPT_F_MASK () {0x1;}' unless defined(&IPT_F_MASK);
    eval 'sub IPT_INV_VIA_IN () {0x1;}' unless defined(&IPT_INV_VIA_IN);
    eval 'sub IPT_INV_VIA_OUT () {0x2;}' unless defined(&IPT_INV_VIA_OUT);
    eval 'sub IPT_INV_TOS () {0x4;}' unless defined(&IPT_INV_TOS);
    eval 'sub IPT_INV_SRCIP () {0x8;}' unless defined(&IPT_INV_SRCIP);
    eval 'sub IPT_INV_DSTIP () {0x10;}' unless defined(&IPT_INV_DSTIP);
    eval 'sub IPT_INV_FRAG () {0x20;}' unless defined(&IPT_INV_FRAG);
    eval 'sub IPT_INV_PROTO () {0x40;}' unless defined(&IPT_INV_PROTO);
    eval 'sub IPT_INV_MASK () {0x7f;}' unless defined(&IPT_INV_MASK);
    eval 'sub IPT_BASE_CTL () {64;}' unless defined(&IPT_BASE_CTL);
    eval 'sub IPT_SO_SET_REPLACE () {( &IPT_BASE_CTL);}' unless defined(&IPT_SO_SET_REPLACE);
    eval 'sub IPT_SO_SET_ADD_COUNTERS () {( &IPT_BASE_CTL + 1);}' unless defined(&IPT_SO_SET_ADD_COUNTERS);
    eval 'sub IPT_SO_SET_MAX () { &IPT_SO_SET_ADD_COUNTERS;}' unless defined(&IPT_SO_SET_MAX);
    eval 'sub IPT_SO_GET_INFO () {( &IPT_BASE_CTL);}' unless defined(&IPT_SO_GET_INFO);
    eval 'sub IPT_SO_GET_ENTRIES () {( &IPT_BASE_CTL + 1);}' unless defined(&IPT_SO_GET_ENTRIES);
    eval 'sub IPT_SO_GET_REVISION_MATCH () {( &IPT_BASE_CTL + 2);}' unless defined(&IPT_SO_GET_REVISION_MATCH);
    eval 'sub IPT_SO_GET_REVISION_TARGET () {( &IPT_BASE_CTL + 3);}' unless defined(&IPT_SO_GET_REVISION_TARGET);
    eval 'sub IPT_SO_GET_MAX () { &IPT_SO_GET_REVISION_TARGET;}' unless defined(&IPT_SO_GET_MAX);
    eval 'sub IPT_CONTINUE () {0xffffffff;}' unless defined(&IPT_CONTINUE);
    eval 'sub IPT_RETURN () {(- &NF_MAX_VERDICT - 1);}' unless defined(&IPT_RETURN);
    eval 'sub IPT_TCP_INV_SRCPT () {0x1;}' unless defined(&IPT_TCP_INV_SRCPT);
    eval 'sub IPT_TCP_INV_DSTPT () {0x2;}' unless defined(&IPT_TCP_INV_DSTPT);
    eval 'sub IPT_TCP_INV_FLAGS () {0x4;}' unless defined(&IPT_TCP_INV_FLAGS);
    eval 'sub IPT_TCP_INV_OPTION () {0x8;}' unless defined(&IPT_TCP_INV_OPTION);
    eval 'sub IPT_TCP_INV_MASK () {0xf;}' unless defined(&IPT_TCP_INV_MASK);
    eval 'sub IPT_UDP_INV_SRCPT () {0x1;}' unless defined(&IPT_UDP_INV_SRCPT);
    eval 'sub IPT_UDP_INV_DSTPT () {0x2;}' unless defined(&IPT_UDP_INV_DSTPT);
    eval 'sub IPT_UDP_INV_MASK () {0x3;}' unless defined(&IPT_UDP_INV_MASK);
    eval 'sub IPT_ICMP_INV () {0x1;}' unless defined(&IPT_ICMP_INV);
    eval 'sub IPT_STANDARD_TARGET () {"";}' unless defined(&IPT_STANDARD_TARGET);
    eval 'sub IPT_ERROR_TARGET () {"ERROR";}' unless defined(&IPT_ERROR_TARGET);
    eval 'sub IPT_MATCH_ITERATE () {( &e,  &fn,  &args...) ({ \'unsigned int __i\'; \'int\'  &__ret = 0; \'struct ipt_entry_match\' * &__match;  &for ( &__i = $sizeof{\'struct ipt_entry\'};  &__i < ( &e)-> &target_offset;  &__i +=  ($__match->{u}->{match_size})) {  &__match = ( &void *)( &e) +  &__i;  &__ret =  &fn( &__match ,   &args);  &if ( &__ret != 0)  &break; }  &__ret; });}' unless defined(&IPT_MATCH_ITERATE);
    eval 'sub IPT_ENTRY_ITERATE () {( &entries,  &size,  &fn,  &args...) ({ \'unsigned int __i\'; \'int\'  &__ret = 0; \'struct ipt_entry\' * &__entry;  &for ( &__i = 0;  &__i < ( &size);  &__i +=  ($__entry->{next_offset})) {  &__entry = ( &void *)( &entries) +  &__i;  &__ret =  &fn( &__entry ,   &args);  &if ( &__ret != 0)  &break; }  &__ret; });}' unless defined(&IPT_ENTRY_ITERATE);
    if(defined(&__KERNEL__)) {
	require 'linux/init.ph';
	eval 'sub IPT_ALIGN {
	    my($s) = @_;
    	    eval q(((($s) + ( &__alignof__-1)) & ~( &__alignof__-1)));
	}' unless defined(&IPT_ALIGN);
    }
}
1;
