require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_PARISC_ASSEMBLY_H)) {
    eval 'sub _PARISC_ASSEMBLY_H () {1;}' unless defined(&_PARISC_ASSEMBLY_H);
    if(defined(&__LP64__)) {
	eval 'sub LDREG () { &ldd;}' unless defined(&LDREG);
	eval 'sub STREG () { &std;}' unless defined(&STREG);
	eval 'sub LDREGX () { &ldd, &s;}' unless defined(&LDREGX);
	eval 'sub LDREGM () { &ldd, &mb;}' unless defined(&LDREGM);
	eval 'sub STREGM () { &std, &ma;}' unless defined(&STREGM);
	eval 'sub SHRREG () { &shrd;}' unless defined(&SHRREG);
	eval 'sub RP_OFFSET () {16;}' unless defined(&RP_OFFSET);
	eval 'sub FRAME_SIZE () {128;}' unless defined(&FRAME_SIZE);
	eval 'sub CALLEE_SAVE_FRAME_SIZE () {144;}' unless defined(&CALLEE_SAVE_FRAME_SIZE);
    } else {
	eval 'sub LDREG () { &ldw;}' unless defined(&LDREG);
	eval 'sub STREG () { &stw;}' unless defined(&STREG);
	eval 'sub LDREGX () { &ldwx, &s;}' unless defined(&LDREGX);
	eval 'sub LDREGM () { &ldwm;}' unless defined(&LDREGM);
	eval 'sub STREGM () { &stwm;}' unless defined(&STREGM);
	eval 'sub RP_OFFSET () {20;}' unless defined(&RP_OFFSET);
	eval 'sub FRAME_SIZE () {64;}' unless defined(&FRAME_SIZE);
	eval 'sub CALLEE_SAVE_FRAME_SIZE () {128;}' unless defined(&CALLEE_SAVE_FRAME_SIZE);
    }
    if(defined(&CONFIG_PA20)) {
	eval 'sub BL () { &b, &l;}' unless defined(&BL);
	if(defined(&CONFIG_PARISC64)) {
	    eval 'sub LEVEL () {2.0 &w;}' unless defined(&LEVEL);
	} else {
	    eval 'sub LEVEL () {2.0;}' unless defined(&LEVEL);
	}
    } else {
	eval 'sub BL () { &bl;}' unless defined(&BL);
	eval 'sub LEVEL () {1.1;}' unless defined(&LEVEL);
    }
    if(defined(&__ASSEMBLY__)) {
	if(defined(&__LP64__)) {
	}
	require 'asm/offsets.ph';
	require 'asm/page.ph';
	require 'asm/asmregs.ph';
	if(defined(&__LP64__)) {
	} else {
	}
	eval 'sub SAVE_SP {
	    my($r, $where) = @_;
    	    eval q( &mfsp $r, % &r1 !  &STREG % &r1, $where);
	}' unless defined(&SAVE_SP);
	eval 'sub REST_SP {
	    my($r, $where) = @_;
    	    eval q( &LDREG $where, % &r1 !  &mtsp % &r1, $r);
	}' unless defined(&REST_SP);
	eval 'sub SAVE_CR {
	    my($r, $where) = @_;
    	    eval q( &mfctl $r, % &r1 !  &STREG % &r1, $where);
	}' unless defined(&SAVE_CR);
	eval 'sub REST_CR {
	    my($r, $where) = @_;
    	    eval q( &LDREG $where, % &r1 !  &mtctl % &r1, $r);
	}' unless defined(&REST_CR);
	if(defined(&__LP64__)) {
	} else {
	}
	if(defined(&__LP64__)) {
	} else {
	}
    }
}
1;
