require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ARCH_PARISC_CACHE_H)) {
    eval 'sub __ARCH_PARISC_CACHE_H () {1;}' unless defined(&__ARCH_PARISC_CACHE_H);
    require 'linux/config.ph';
    if(defined(&CONFIG_PA20)) {
	eval 'sub L1_CACHE_BYTES () {64;}' unless defined(&L1_CACHE_BYTES);
	eval 'sub L1_CACHE_SHIFT () {6;}' unless defined(&L1_CACHE_SHIFT);
    } else {
	eval 'sub L1_CACHE_BYTES () {32;}' unless defined(&L1_CACHE_BYTES);
	eval 'sub L1_CACHE_SHIFT () {5;}' unless defined(&L1_CACHE_SHIFT);
    }
    unless(defined(&__ASSEMBLY__)) {
	eval 'sub L1_CACHE_ALIGN {
	    my($x) = @_;
    	    eval q(((($x)+( &L1_CACHE_BYTES-1))&~( &L1_CACHE_BYTES-1)));
	}' unless defined(&L1_CACHE_ALIGN);
	eval 'sub SMP_CACHE_BYTES () { &L1_CACHE_BYTES;}' unless defined(&SMP_CACHE_BYTES);
	eval 'sub L1_CACHE_SHIFT_MAX () {5;}' unless defined(&L1_CACHE_SHIFT_MAX);
	if(defined(&CONFIG_SMP)) {
	} else {
	    eval 'sub flush_data_cache () { &flush_data_cache_local;}' unless defined(&flush_data_cache);
	    eval 'sub flush_instruction_cache () { &flush_instruction_cache_local;}' unless defined(&flush_instruction_cache);
	}
	eval 'sub pdtlb {
	    my($addr) = @_;
    	    eval q( &asm  &volatile(\\"pdtlb 0(%%sr1,%0)\\" : : \\"r\\" ($addr)););
	}' unless defined(&pdtlb);
	eval 'sub pitlb {
	    my($addr) = @_;
    	    eval q( &asm  &volatile(\\"pitlb 0(%%sr1,%0)\\" : : \\"r\\" ($addr)););
	}' unless defined(&pitlb);
	eval 'sub pdtlb_kernel {
	    my($addr) = @_;
    	    eval q( &asm  &volatile(\\"pdtlb 0(%0)\\" : : \\"r\\" ($addr)););
	}' unless defined(&pdtlb_kernel);
    }
    eval 'sub SRHASH_PCXST () {0;}' unless defined(&SRHASH_PCXST);
    eval 'sub SRHASH_PCXL () {1;}' unless defined(&SRHASH_PCXL);
    eval 'sub SRHASH_PA20 () {2;}' unless defined(&SRHASH_PA20);
}
1;
