require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASM_PARISC_FLOPPY_H)) {
    eval 'sub __ASM_PARISC_FLOPPY_H () {1;}' unless defined(&__ASM_PARISC_FLOPPY_H);
    require 'linux/vmalloc.ph';
    eval 'sub _CROSS_64KB {
        my($a,$s,$vdma) = @_;
	    eval q((!$vdma  && (($a)/ &K_64 != (($a) + ($s) - 1) /  &K_64)));
    }' unless defined(&_CROSS_64KB);
    eval 'sub CROSS_64KB {
        my($a,$s) = @_;
	    eval q( &_CROSS_64KB($a,$s, &use_virtual_dma & 1));
    }' unless defined(&CROSS_64KB);
    eval 'sub SW () { $fd_routine[ &use_virtual_dma&1];}' unless defined(&SW);
    eval 'sub CSW () { $fd_routine[ &can_use_virtual_dma & 1];}' unless defined(&CSW);
    eval 'sub fd_inb {
        my($port) = @_;
	    eval q( &readb($port));
    }' unless defined(&fd_inb);
    eval 'sub fd_outb {
        my($value, $port) = @_;
	    eval q( &writeb($value, $port));
    }' unless defined(&fd_outb);
    eval 'sub fd_request_dma () {
        eval q( ($CSW->{_request_dma})( &FLOPPY_DMA,\\"floppy\\"));
    }' unless defined(&fd_request_dma);
    eval 'sub fd_free_dma () {
        eval q( ($CSW->{_free_dma})( &FLOPPY_DMA));
    }' unless defined(&fd_free_dma);
    eval 'sub fd_enable_irq () {
        eval q( &enable_irq( &FLOPPY_IRQ));
    }' unless defined(&fd_enable_irq);
    eval 'sub fd_disable_irq () {
        eval q( &disable_irq( &FLOPPY_IRQ));
    }' unless defined(&fd_disable_irq);
    eval 'sub fd_free_irq () {
        eval q( &free_irq( &FLOPPY_IRQ,  &NULL));
    }' unless defined(&fd_free_irq);
    eval 'sub fd_get_dma_residue () {
        eval q( ($SW->{_get_dma_residue})( &FLOPPY_DMA));
    }' unless defined(&fd_get_dma_residue);
    eval 'sub fd_dma_mem_alloc {
        my($size) = @_;
	    eval q( ($SW->{_dma_mem_alloc})($size));
    }' unless defined(&fd_dma_mem_alloc);
    eval 'sub fd_dma_setup {
        my($addr, $size, $mode, $io) = @_;
	    eval q( ($SW->{_dma_setup})($addr, $size, $mode, $io));
    }' unless defined(&fd_dma_setup);
    eval 'sub FLOPPY_CAN_FALLBACK_ON_NODMA () {1;}' unless defined(&FLOPPY_CAN_FALLBACK_ON_NODMA);
    undef(&TRACE_FLPY_INT) if defined(&TRACE_FLPY_INT);
    if(defined(&TRACE_FLPY_INT)) {
    }
    if(defined(&TRACE_FLPY_INT)) {
    }
    if(defined(&TRACE_FLPY_INT)) {
    }
    if(defined(&TRACE_FLPY_INT)) {
    }
    if(defined(&TRACE_FLPY_INT)) {
    }
    eval 'sub nodma_mem_alloc {
        my($size) = @_;
	    eval q( &vdma_mem_alloc($size));
    }' unless defined(&nodma_mem_alloc);
    eval 'sub fd_dma_mem_free {
        my($addr, $size) = @_;
	    eval q( &_fd_dma_mem_free($addr, $size));
    }' unless defined(&fd_dma_mem_free);
    eval 'sub fd_chose_dma_mode {
        my($addr, $size) = @_;
	    eval q( &_fd_chose_dma_mode($addr, $size));
    }' unless defined(&fd_chose_dma_mode);
    if(defined(&FLOPPY_SANITY_CHECK)) {
    }
    eval 'sub FLOPPY0_TYPE () {0;}' unless defined(&FLOPPY0_TYPE);
    eval 'sub FLOPPY1_TYPE () {0;}' unless defined(&FLOPPY1_TYPE);
    eval 'sub N_FDC () {1;}' unless defined(&N_FDC);
    eval 'sub N_DRIVE () {8;}' unless defined(&N_DRIVE);
    eval 'sub FLOPPY_MOTOR_MASK () {0xf0;}' unless defined(&FLOPPY_MOTOR_MASK);
    eval 'sub AUTO_DMA () {1;}' unless defined(&AUTO_DMA);
    eval 'sub EXTRA_FLOPPY_PARAMS () {1;}' unless defined(&EXTRA_FLOPPY_PARAMS);
}
1;
