require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASM_SMP_H)) {
    eval 'sub __ASM_SMP_H () {1;}' unless defined(&__ASM_SMP_H);
    require 'linux/config.ph';
    if(defined( &CONFIG_SMP)) {
	eval 'sub PDC_OS_BOOT_RENDEZVOUS () {0x10;}' unless defined(&PDC_OS_BOOT_RENDEZVOUS);
	eval 'sub PDC_OS_BOOT_RENDEZVOUS_HI () {0x28;}' unless defined(&PDC_OS_BOOT_RENDEZVOUS_HI);
	unless(defined(&ASSEMBLY)) {
	    require 'linux/bitops.ph';
	    require 'linux/threads.ph';
	    require 'linux/cpumask.ph';
	    eval 'sub cpu_number_map {
	        my($cpu) = @_;
    		eval q(($cpu));
	    }' unless defined(&cpu_number_map);
	    eval 'sub cpu_logical_map {
	        my($cpu) = @_;
    		eval q(($cpu));
	    }' unless defined(&cpu_logical_map);
	}
	eval 'sub PROC_CHANGE_PENALTY () {15;}' unless defined(&PROC_CHANGE_PENALTY);
	undef(&ENTRY_SYS_CPUS) if defined(&ENTRY_SYS_CPUS);
	if(defined(&ENTRY_SYS_CPUS)) {
	    eval 'sub STATE_RENDEZVOUS () {0;}' unless defined(&STATE_RENDEZVOUS);
	    eval 'sub STATE_STOPPED () {1;}' unless defined(&STATE_STOPPED);
	    eval 'sub STATE_RUNNING () {2;}' unless defined(&STATE_RUNNING);
	    eval 'sub STATE_HALTED () {3;}' unless defined(&STATE_HALTED);
	}
	eval 'sub smp_processor_id () {
	    eval q(( &current_thread_info()-> &cpu));
	}' unless defined(&smp_processor_id);
    }
    eval 'sub NO_PROC_ID () {0xff;}' unless defined(&NO_PROC_ID);
    eval 'sub ANY_PROC_ID () {0xff;}' unless defined(&ANY_PROC_ID);
    eval 'sub __cpu_disable {
        my($void) = @_;
	    eval q({ 0; });
    }' unless defined(&__cpu_disable);
    eval 'sub __cpu_die {
        my($cpu) = @_;
	    eval q({  &while(1) ; });
    }' unless defined(&__cpu_die);
}
1;
