require '_h2ph_pre.ph';

no warnings 'redefine';

if(!defined (defined(&_MATH_H) ? &_MATH_H : 0)  && !defined (defined(&_COMPLEX_H) ? &_COMPLEX_H : 0)) {
    die("Never use <bits/mathdef.h> directly; include <math.h> instead");
}
if(defined (defined(&__USE_ISOC99) ? &__USE_ISOC99 : 0)  && defined (defined(&_MATH_H) ? &_MATH_H : 0)  && !defined (defined(&_MATH_H_MATHDEF) ? &_MATH_H_MATHDEF : 0)) {
    eval 'sub _MATH_H_MATHDEF () {1;}' unless defined(&_MATH_H_MATHDEF);
    eval 'sub FP_ILOGB0 () {(-2147483647);}' unless defined(&FP_ILOGB0);
    eval 'sub FP_ILOGBNAN () {2147483647;}' unless defined(&FP_ILOGBNAN);
}
unless(defined(&__NO_LONG_DOUBLE_MATH)) {
    eval 'sub __NO_LONG_DOUBLE_MATH () {1;}' unless defined(&__NO_LONG_DOUBLE_MATH);
}
1;
