require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__LINUX_KEYBOARD_H)) {
    eval 'sub __LINUX_KEYBOARD_H () {1;}' unless defined(&__LINUX_KEYBOARD_H);
    if(defined(&__hppa__)) {
	unless(defined(&__le64)) {
	    if(defined(&_LINUX_TYPES_H)) {
		undef(&_LINUX_TYPES_H) if defined(&_LINUX_TYPES_H);
		warn("Gentoo\ Linux\ Headers\ Warning\:\ GNU\ Libc\ Linux\ Headers\ Override\ Detected\.");
		warn("Gentoo\ Linux\ Headers\ Warning\:\ This\ is\ bad\.\ Removing\ override\ and\ continuing\.");
		warn("Gentoo\ Linux\ Headers\ Warning\:\ If\ your\ compilation\ dies\ here\,\ mention\ this\ when");
		warn("Gentoo\ Linux\ Headers\ Warning\:\ filing\ a\ bug\!");
		require 'linux/types.ph';
	    }
	}
    }
    require 'linux/wait.ph';
    eval 'sub KG_SHIFT () {0;}' unless defined(&KG_SHIFT);
    eval 'sub KG_CTRL () {2;}' unless defined(&KG_CTRL);
    eval 'sub KG_ALT () {3;}' unless defined(&KG_ALT);
    eval 'sub KG_ALTGR () {1;}' unless defined(&KG_ALTGR);
    eval 'sub KG_SHIFTL () {4;}' unless defined(&KG_SHIFTL);
    eval 'sub KG_KANASHIFT () {4;}' unless defined(&KG_KANASHIFT);
    eval 'sub KG_SHIFTR () {5;}' unless defined(&KG_SHIFTR);
    eval 'sub KG_CTRLL () {6;}' unless defined(&KG_CTRLL);
    eval 'sub KG_CTRLR () {7;}' unless defined(&KG_CTRLR);
    eval 'sub KG_CAPSSHIFT () {8;}' unless defined(&KG_CAPSSHIFT);
    eval 'sub NR_SHIFT () {9;}' unless defined(&NR_SHIFT);
    eval 'sub NR_KEYS () {255;}' unless defined(&NR_KEYS);
    eval 'sub MAX_NR_KEYMAPS () {256;}' unless defined(&MAX_NR_KEYMAPS);
    eval 'sub MAX_NR_OF_USER_KEYMAPS () {256;}' unless defined(&MAX_NR_OF_USER_KEYMAPS);
    if(defined(&__KERNEL__)) {
    }
    eval 'sub MAX_NR_FUNC () {256;}' unless defined(&MAX_NR_FUNC);
    eval 'sub KT_LATIN () {0;}' unless defined(&KT_LATIN);
    eval 'sub KT_LETTER () {11;}' unless defined(&KT_LETTER);
    eval 'sub KT_FN () {1;}' unless defined(&KT_FN);
    eval 'sub KT_SPEC () {2;}' unless defined(&KT_SPEC);
    eval 'sub KT_PAD () {3;}' unless defined(&KT_PAD);
    eval 'sub KT_DEAD () {4;}' unless defined(&KT_DEAD);
    eval 'sub KT_CONS () {5;}' unless defined(&KT_CONS);
    eval 'sub KT_CUR () {6;}' unless defined(&KT_CUR);
    eval 'sub KT_SHIFT () {7;}' unless defined(&KT_SHIFT);
    eval 'sub KT_META () {8;}' unless defined(&KT_META);
    eval 'sub KT_ASCII () {9;}' unless defined(&KT_ASCII);
    eval 'sub KT_LOCK () {10;}' unless defined(&KT_LOCK);
    eval 'sub KT_SLOCK () {12;}' unless defined(&KT_SLOCK);
    eval 'sub K {
        my($t,$v) = @_;
	    eval q(((($t)<<8)|($v)));
    }' unless defined(&K);
    eval 'sub KTYP {
        my($x) = @_;
	    eval q((($x) >> 8));
    }' unless defined(&KTYP);
    eval 'sub KVAL {
        my($x) = @_;
	    eval q((($x) & 0xff));
    }' unless defined(&KVAL);
    eval 'sub K_F1 () { &K( &KT_FN,0);}' unless defined(&K_F1);
    eval 'sub K_F2 () { &K( &KT_FN,1);}' unless defined(&K_F2);
    eval 'sub K_F3 () { &K( &KT_FN,2);}' unless defined(&K_F3);
    eval 'sub K_F4 () { &K( &KT_FN,3);}' unless defined(&K_F4);
    eval 'sub K_F5 () { &K( &KT_FN,4);}' unless defined(&K_F5);
    eval 'sub K_F6 () { &K( &KT_FN,5);}' unless defined(&K_F6);
    eval 'sub K_F7 () { &K( &KT_FN,6);}' unless defined(&K_F7);
    eval 'sub K_F8 () { &K( &KT_FN,7);}' unless defined(&K_F8);
    eval 'sub K_F9 () { &K( &KT_FN,8);}' unless defined(&K_F9);
    eval 'sub K_F10 () { &K( &KT_FN,9);}' unless defined(&K_F10);
    eval 'sub K_F11 () { &K( &KT_FN,10);}' unless defined(&K_F11);
    eval 'sub K_F12 () { &K( &KT_FN,11);}' unless defined(&K_F12);
    eval 'sub K_F13 () { &K( &KT_FN,12);}' unless defined(&K_F13);
    eval 'sub K_F14 () { &K( &KT_FN,13);}' unless defined(&K_F14);
    eval 'sub K_F15 () { &K( &KT_FN,14);}' unless defined(&K_F15);
    eval 'sub K_F16 () { &K( &KT_FN,15);}' unless defined(&K_F16);
    eval 'sub K_F17 () { &K( &KT_FN,16);}' unless defined(&K_F17);
    eval 'sub K_F18 () { &K( &KT_FN,17);}' unless defined(&K_F18);
    eval 'sub K_F19 () { &K( &KT_FN,18);}' unless defined(&K_F19);
    eval 'sub K_F20 () { &K( &KT_FN,19);}' unless defined(&K_F20);
    eval 'sub K_FIND () { &K( &KT_FN,20);}' unless defined(&K_FIND);
    eval 'sub K_INSERT () { &K( &KT_FN,21);}' unless defined(&K_INSERT);
    eval 'sub K_REMOVE () { &K( &KT_FN,22);}' unless defined(&K_REMOVE);
    eval 'sub K_SELECT () { &K( &KT_FN,23);}' unless defined(&K_SELECT);
    eval 'sub K_PGUP () { &K( &KT_FN,24);}' unless defined(&K_PGUP);
    eval 'sub K_PGDN () { &K( &KT_FN,25);}' unless defined(&K_PGDN);
    eval 'sub K_MACRO () { &K( &KT_FN,26);}' unless defined(&K_MACRO);
    eval 'sub K_HELP () { &K( &KT_FN,27);}' unless defined(&K_HELP);
    eval 'sub K_DO () { &K( &KT_FN,28);}' unless defined(&K_DO);
    eval 'sub K_PAUSE () { &K( &KT_FN,29);}' unless defined(&K_PAUSE);
    eval 'sub K_F21 () { &K( &KT_FN,30);}' unless defined(&K_F21);
    eval 'sub K_F22 () { &K( &KT_FN,31);}' unless defined(&K_F22);
    eval 'sub K_F23 () { &K( &KT_FN,32);}' unless defined(&K_F23);
    eval 'sub K_F24 () { &K( &KT_FN,33);}' unless defined(&K_F24);
    eval 'sub K_F25 () { &K( &KT_FN,34);}' unless defined(&K_F25);
    eval 'sub K_F26 () { &K( &KT_FN,35);}' unless defined(&K_F26);
    eval 'sub K_F27 () { &K( &KT_FN,36);}' unless defined(&K_F27);
    eval 'sub K_F28 () { &K( &KT_FN,37);}' unless defined(&K_F28);
    eval 'sub K_F29 () { &K( &KT_FN,38);}' unless defined(&K_F29);
    eval 'sub K_F30 () { &K( &KT_FN,39);}' unless defined(&K_F30);
    eval 'sub K_F31 () { &K( &KT_FN,40);}' unless defined(&K_F31);
    eval 'sub K_F32 () { &K( &KT_FN,41);}' unless defined(&K_F32);
    eval 'sub K_F33 () { &K( &KT_FN,42);}' unless defined(&K_F33);
    eval 'sub K_F34 () { &K( &KT_FN,43);}' unless defined(&K_F34);
    eval 'sub K_F35 () { &K( &KT_FN,44);}' unless defined(&K_F35);
    eval 'sub K_F36 () { &K( &KT_FN,45);}' unless defined(&K_F36);
    eval 'sub K_F37 () { &K( &KT_FN,46);}' unless defined(&K_F37);
    eval 'sub K_F38 () { &K( &KT_FN,47);}' unless defined(&K_F38);
    eval 'sub K_F39 () { &K( &KT_FN,48);}' unless defined(&K_F39);
    eval 'sub K_F40 () { &K( &KT_FN,49);}' unless defined(&K_F40);
    eval 'sub K_F41 () { &K( &KT_FN,50);}' unless defined(&K_F41);
    eval 'sub K_F42 () { &K( &KT_FN,51);}' unless defined(&K_F42);
    eval 'sub K_F43 () { &K( &KT_FN,52);}' unless defined(&K_F43);
    eval 'sub K_F44 () { &K( &KT_FN,53);}' unless defined(&K_F44);
    eval 'sub K_F45 () { &K( &KT_FN,54);}' unless defined(&K_F45);
    eval 'sub K_F46 () { &K( &KT_FN,55);}' unless defined(&K_F46);
    eval 'sub K_F47 () { &K( &KT_FN,56);}' unless defined(&K_F47);
    eval 'sub K_F48 () { &K( &KT_FN,57);}' unless defined(&K_F48);
    eval 'sub K_F49 () { &K( &KT_FN,58);}' unless defined(&K_F49);
    eval 'sub K_F50 () { &K( &KT_FN,59);}' unless defined(&K_F50);
    eval 'sub K_F51 () { &K( &KT_FN,60);}' unless defined(&K_F51);
    eval 'sub K_F52 () { &K( &KT_FN,61);}' unless defined(&K_F52);
    eval 'sub K_F53 () { &K( &KT_FN,62);}' unless defined(&K_F53);
    eval 'sub K_F54 () { &K( &KT_FN,63);}' unless defined(&K_F54);
    eval 'sub K_F55 () { &K( &KT_FN,64);}' unless defined(&K_F55);
    eval 'sub K_F56 () { &K( &KT_FN,65);}' unless defined(&K_F56);
    eval 'sub K_F57 () { &K( &KT_FN,66);}' unless defined(&K_F57);
    eval 'sub K_F58 () { &K( &KT_FN,67);}' unless defined(&K_F58);
    eval 'sub K_F59 () { &K( &KT_FN,68);}' unless defined(&K_F59);
    eval 'sub K_F60 () { &K( &KT_FN,69);}' unless defined(&K_F60);
    eval 'sub K_F61 () { &K( &KT_FN,70);}' unless defined(&K_F61);
    eval 'sub K_F62 () { &K( &KT_FN,71);}' unless defined(&K_F62);
    eval 'sub K_F63 () { &K( &KT_FN,72);}' unless defined(&K_F63);
    eval 'sub K_F64 () { &K( &KT_FN,73);}' unless defined(&K_F64);
    eval 'sub K_F65 () { &K( &KT_FN,74);}' unless defined(&K_F65);
    eval 'sub K_F66 () { &K( &KT_FN,75);}' unless defined(&K_F66);
    eval 'sub K_F67 () { &K( &KT_FN,76);}' unless defined(&K_F67);
    eval 'sub K_F68 () { &K( &KT_FN,77);}' unless defined(&K_F68);
    eval 'sub K_F69 () { &K( &KT_FN,78);}' unless defined(&K_F69);
    eval 'sub K_F70 () { &K( &KT_FN,79);}' unless defined(&K_F70);
    eval 'sub K_F71 () { &K( &KT_FN,80);}' unless defined(&K_F71);
    eval 'sub K_F72 () { &K( &KT_FN,81);}' unless defined(&K_F72);
    eval 'sub K_F73 () { &K( &KT_FN,82);}' unless defined(&K_F73);
    eval 'sub K_F74 () { &K( &KT_FN,83);}' unless defined(&K_F74);
    eval 'sub K_F75 () { &K( &KT_FN,84);}' unless defined(&K_F75);
    eval 'sub K_F76 () { &K( &KT_FN,85);}' unless defined(&K_F76);
    eval 'sub K_F77 () { &K( &KT_FN,86);}' unless defined(&K_F77);
    eval 'sub K_F78 () { &K( &KT_FN,87);}' unless defined(&K_F78);
    eval 'sub K_F79 () { &K( &KT_FN,88);}' unless defined(&K_F79);
    eval 'sub K_F80 () { &K( &KT_FN,89);}' unless defined(&K_F80);
    eval 'sub K_F81 () { &K( &KT_FN,90);}' unless defined(&K_F81);
    eval 'sub K_F82 () { &K( &KT_FN,91);}' unless defined(&K_F82);
    eval 'sub K_F83 () { &K( &KT_FN,92);}' unless defined(&K_F83);
    eval 'sub K_F84 () { &K( &KT_FN,93);}' unless defined(&K_F84);
    eval 'sub K_F85 () { &K( &KT_FN,94);}' unless defined(&K_F85);
    eval 'sub K_F86 () { &K( &KT_FN,95);}' unless defined(&K_F86);
    eval 'sub K_F87 () { &K( &KT_FN,96);}' unless defined(&K_F87);
    eval 'sub K_F88 () { &K( &KT_FN,97);}' unless defined(&K_F88);
    eval 'sub K_F89 () { &K( &KT_FN,98);}' unless defined(&K_F89);
    eval 'sub K_F90 () { &K( &KT_FN,99);}' unless defined(&K_F90);
    eval 'sub K_F91 () { &K( &KT_FN,100);}' unless defined(&K_F91);
    eval 'sub K_F92 () { &K( &KT_FN,101);}' unless defined(&K_F92);
    eval 'sub K_F93 () { &K( &KT_FN,102);}' unless defined(&K_F93);
    eval 'sub K_F94 () { &K( &KT_FN,103);}' unless defined(&K_F94);
    eval 'sub K_F95 () { &K( &KT_FN,104);}' unless defined(&K_F95);
    eval 'sub K_F96 () { &K( &KT_FN,105);}' unless defined(&K_F96);
    eval 'sub K_F97 () { &K( &KT_FN,106);}' unless defined(&K_F97);
    eval 'sub K_F98 () { &K( &KT_FN,107);}' unless defined(&K_F98);
    eval 'sub K_F99 () { &K( &KT_FN,108);}' unless defined(&K_F99);
    eval 'sub K_F100 () { &K( &KT_FN,109);}' unless defined(&K_F100);
    eval 'sub K_F101 () { &K( &KT_FN,110);}' unless defined(&K_F101);
    eval 'sub K_F102 () { &K( &KT_FN,111);}' unless defined(&K_F102);
    eval 'sub K_F103 () { &K( &KT_FN,112);}' unless defined(&K_F103);
    eval 'sub K_F104 () { &K( &KT_FN,113);}' unless defined(&K_F104);
    eval 'sub K_F105 () { &K( &KT_FN,114);}' unless defined(&K_F105);
    eval 'sub K_F106 () { &K( &KT_FN,115);}' unless defined(&K_F106);
    eval 'sub K_F107 () { &K( &KT_FN,116);}' unless defined(&K_F107);
    eval 'sub K_F108 () { &K( &KT_FN,117);}' unless defined(&K_F108);
    eval 'sub K_F109 () { &K( &KT_FN,118);}' unless defined(&K_F109);
    eval 'sub K_F110 () { &K( &KT_FN,119);}' unless defined(&K_F110);
    eval 'sub K_F111 () { &K( &KT_FN,120);}' unless defined(&K_F111);
    eval 'sub K_F112 () { &K( &KT_FN,121);}' unless defined(&K_F112);
    eval 'sub K_F113 () { &K( &KT_FN,122);}' unless defined(&K_F113);
    eval 'sub K_F114 () { &K( &KT_FN,123);}' unless defined(&K_F114);
    eval 'sub K_F115 () { &K( &KT_FN,124);}' unless defined(&K_F115);
    eval 'sub K_F116 () { &K( &KT_FN,125);}' unless defined(&K_F116);
    eval 'sub K_F117 () { &K( &KT_FN,126);}' unless defined(&K_F117);
    eval 'sub K_F118 () { &K( &KT_FN,127);}' unless defined(&K_F118);
    eval 'sub K_F119 () { &K( &KT_FN,128);}' unless defined(&K_F119);
    eval 'sub K_F120 () { &K( &KT_FN,129);}' unless defined(&K_F120);
    eval 'sub K_F121 () { &K( &KT_FN,130);}' unless defined(&K_F121);
    eval 'sub K_F122 () { &K( &KT_FN,131);}' unless defined(&K_F122);
    eval 'sub K_F123 () { &K( &KT_FN,132);}' unless defined(&K_F123);
    eval 'sub K_F124 () { &K( &KT_FN,133);}' unless defined(&K_F124);
    eval 'sub K_F125 () { &K( &KT_FN,134);}' unless defined(&K_F125);
    eval 'sub K_F126 () { &K( &KT_FN,135);}' unless defined(&K_F126);
    eval 'sub K_F127 () { &K( &KT_FN,136);}' unless defined(&K_F127);
    eval 'sub K_F128 () { &K( &KT_FN,137);}' unless defined(&K_F128);
    eval 'sub K_F129 () { &K( &KT_FN,138);}' unless defined(&K_F129);
    eval 'sub K_F130 () { &K( &KT_FN,139);}' unless defined(&K_F130);
    eval 'sub K_F131 () { &K( &KT_FN,140);}' unless defined(&K_F131);
    eval 'sub K_F132 () { &K( &KT_FN,141);}' unless defined(&K_F132);
    eval 'sub K_F133 () { &K( &KT_FN,142);}' unless defined(&K_F133);
    eval 'sub K_F134 () { &K( &KT_FN,143);}' unless defined(&K_F134);
    eval 'sub K_F135 () { &K( &KT_FN,144);}' unless defined(&K_F135);
    eval 'sub K_F136 () { &K( &KT_FN,145);}' unless defined(&K_F136);
    eval 'sub K_F137 () { &K( &KT_FN,146);}' unless defined(&K_F137);
    eval 'sub K_F138 () { &K( &KT_FN,147);}' unless defined(&K_F138);
    eval 'sub K_F139 () { &K( &KT_FN,148);}' unless defined(&K_F139);
    eval 'sub K_F140 () { &K( &KT_FN,149);}' unless defined(&K_F140);
    eval 'sub K_F141 () { &K( &KT_FN,150);}' unless defined(&K_F141);
    eval 'sub K_F142 () { &K( &KT_FN,151);}' unless defined(&K_F142);
    eval 'sub K_F143 () { &K( &KT_FN,152);}' unless defined(&K_F143);
    eval 'sub K_F144 () { &K( &KT_FN,153);}' unless defined(&K_F144);
    eval 'sub K_F145 () { &K( &KT_FN,154);}' unless defined(&K_F145);
    eval 'sub K_F146 () { &K( &KT_FN,155);}' unless defined(&K_F146);
    eval 'sub K_F147 () { &K( &KT_FN,156);}' unless defined(&K_F147);
    eval 'sub K_F148 () { &K( &KT_FN,157);}' unless defined(&K_F148);
    eval 'sub K_F149 () { &K( &KT_FN,158);}' unless defined(&K_F149);
    eval 'sub K_F150 () { &K( &KT_FN,159);}' unless defined(&K_F150);
    eval 'sub K_F151 () { &K( &KT_FN,160);}' unless defined(&K_F151);
    eval 'sub K_F152 () { &K( &KT_FN,161);}' unless defined(&K_F152);
    eval 'sub K_F153 () { &K( &KT_FN,162);}' unless defined(&K_F153);
    eval 'sub K_F154 () { &K( &KT_FN,163);}' unless defined(&K_F154);
    eval 'sub K_F155 () { &K( &KT_FN,164);}' unless defined(&K_F155);
    eval 'sub K_F156 () { &K( &KT_FN,165);}' unless defined(&K_F156);
    eval 'sub K_F157 () { &K( &KT_FN,166);}' unless defined(&K_F157);
    eval 'sub K_F158 () { &K( &KT_FN,167);}' unless defined(&K_F158);
    eval 'sub K_F159 () { &K( &KT_FN,168);}' unless defined(&K_F159);
    eval 'sub K_F160 () { &K( &KT_FN,169);}' unless defined(&K_F160);
    eval 'sub K_F161 () { &K( &KT_FN,170);}' unless defined(&K_F161);
    eval 'sub K_F162 () { &K( &KT_FN,171);}' unless defined(&K_F162);
    eval 'sub K_F163 () { &K( &KT_FN,172);}' unless defined(&K_F163);
    eval 'sub K_F164 () { &K( &KT_FN,173);}' unless defined(&K_F164);
    eval 'sub K_F165 () { &K( &KT_FN,174);}' unless defined(&K_F165);
    eval 'sub K_F166 () { &K( &KT_FN,175);}' unless defined(&K_F166);
    eval 'sub K_F167 () { &K( &KT_FN,176);}' unless defined(&K_F167);
    eval 'sub K_F168 () { &K( &KT_FN,177);}' unless defined(&K_F168);
    eval 'sub K_F169 () { &K( &KT_FN,178);}' unless defined(&K_F169);
    eval 'sub K_F170 () { &K( &KT_FN,179);}' unless defined(&K_F170);
    eval 'sub K_F171 () { &K( &KT_FN,180);}' unless defined(&K_F171);
    eval 'sub K_F172 () { &K( &KT_FN,181);}' unless defined(&K_F172);
    eval 'sub K_F173 () { &K( &KT_FN,182);}' unless defined(&K_F173);
    eval 'sub K_F174 () { &K( &KT_FN,183);}' unless defined(&K_F174);
    eval 'sub K_F175 () { &K( &KT_FN,184);}' unless defined(&K_F175);
    eval 'sub K_F176 () { &K( &KT_FN,185);}' unless defined(&K_F176);
    eval 'sub K_F177 () { &K( &KT_FN,186);}' unless defined(&K_F177);
    eval 'sub K_F178 () { &K( &KT_FN,187);}' unless defined(&K_F178);
    eval 'sub K_F179 () { &K( &KT_FN,188);}' unless defined(&K_F179);
    eval 'sub K_F180 () { &K( &KT_FN,189);}' unless defined(&K_F180);
    eval 'sub K_F181 () { &K( &KT_FN,190);}' unless defined(&K_F181);
    eval 'sub K_F182 () { &K( &KT_FN,191);}' unless defined(&K_F182);
    eval 'sub K_F183 () { &K( &KT_FN,192);}' unless defined(&K_F183);
    eval 'sub K_F184 () { &K( &KT_FN,193);}' unless defined(&K_F184);
    eval 'sub K_F185 () { &K( &KT_FN,194);}' unless defined(&K_F185);
    eval 'sub K_F186 () { &K( &KT_FN,195);}' unless defined(&K_F186);
    eval 'sub K_F187 () { &K( &KT_FN,196);}' unless defined(&K_F187);
    eval 'sub K_F188 () { &K( &KT_FN,197);}' unless defined(&K_F188);
    eval 'sub K_F189 () { &K( &KT_FN,198);}' unless defined(&K_F189);
    eval 'sub K_F190 () { &K( &KT_FN,199);}' unless defined(&K_F190);
    eval 'sub K_F191 () { &K( &KT_FN,200);}' unless defined(&K_F191);
    eval 'sub K_F192 () { &K( &KT_FN,201);}' unless defined(&K_F192);
    eval 'sub K_F193 () { &K( &KT_FN,202);}' unless defined(&K_F193);
    eval 'sub K_F194 () { &K( &KT_FN,203);}' unless defined(&K_F194);
    eval 'sub K_F195 () { &K( &KT_FN,204);}' unless defined(&K_F195);
    eval 'sub K_F196 () { &K( &KT_FN,205);}' unless defined(&K_F196);
    eval 'sub K_F197 () { &K( &KT_FN,206);}' unless defined(&K_F197);
    eval 'sub K_F198 () { &K( &KT_FN,207);}' unless defined(&K_F198);
    eval 'sub K_F199 () { &K( &KT_FN,208);}' unless defined(&K_F199);
    eval 'sub K_F200 () { &K( &KT_FN,209);}' unless defined(&K_F200);
    eval 'sub K_F201 () { &K( &KT_FN,210);}' unless defined(&K_F201);
    eval 'sub K_F202 () { &K( &KT_FN,211);}' unless defined(&K_F202);
    eval 'sub K_F203 () { &K( &KT_FN,212);}' unless defined(&K_F203);
    eval 'sub K_F204 () { &K( &KT_FN,213);}' unless defined(&K_F204);
    eval 'sub K_F205 () { &K( &KT_FN,214);}' unless defined(&K_F205);
    eval 'sub K_F206 () { &K( &KT_FN,215);}' unless defined(&K_F206);
    eval 'sub K_F207 () { &K( &KT_FN,216);}' unless defined(&K_F207);
    eval 'sub K_F208 () { &K( &KT_FN,217);}' unless defined(&K_F208);
    eval 'sub K_F209 () { &K( &KT_FN,218);}' unless defined(&K_F209);
    eval 'sub K_F210 () { &K( &KT_FN,219);}' unless defined(&K_F210);
    eval 'sub K_F211 () { &K( &KT_FN,220);}' unless defined(&K_F211);
    eval 'sub K_F212 () { &K( &KT_FN,221);}' unless defined(&K_F212);
    eval 'sub K_F213 () { &K( &KT_FN,222);}' unless defined(&K_F213);
    eval 'sub K_F214 () { &K( &KT_FN,223);}' unless defined(&K_F214);
    eval 'sub K_F215 () { &K( &KT_FN,224);}' unless defined(&K_F215);
    eval 'sub K_F216 () { &K( &KT_FN,225);}' unless defined(&K_F216);
    eval 'sub K_F217 () { &K( &KT_FN,226);}' unless defined(&K_F217);
    eval 'sub K_F218 () { &K( &KT_FN,227);}' unless defined(&K_F218);
    eval 'sub K_F219 () { &K( &KT_FN,228);}' unless defined(&K_F219);
    eval 'sub K_F220 () { &K( &KT_FN,229);}' unless defined(&K_F220);
    eval 'sub K_F221 () { &K( &KT_FN,230);}' unless defined(&K_F221);
    eval 'sub K_F222 () { &K( &KT_FN,231);}' unless defined(&K_F222);
    eval 'sub K_F223 () { &K( &KT_FN,232);}' unless defined(&K_F223);
    eval 'sub K_F224 () { &K( &KT_FN,233);}' unless defined(&K_F224);
    eval 'sub K_F225 () { &K( &KT_FN,234);}' unless defined(&K_F225);
    eval 'sub K_F226 () { &K( &KT_FN,235);}' unless defined(&K_F226);
    eval 'sub K_F227 () { &K( &KT_FN,236);}' unless defined(&K_F227);
    eval 'sub K_F228 () { &K( &KT_FN,237);}' unless defined(&K_F228);
    eval 'sub K_F229 () { &K( &KT_FN,238);}' unless defined(&K_F229);
    eval 'sub K_F230 () { &K( &KT_FN,239);}' unless defined(&K_F230);
    eval 'sub K_F231 () { &K( &KT_FN,240);}' unless defined(&K_F231);
    eval 'sub K_F232 () { &K( &KT_FN,241);}' unless defined(&K_F232);
    eval 'sub K_F233 () { &K( &KT_FN,242);}' unless defined(&K_F233);
    eval 'sub K_F234 () { &K( &KT_FN,243);}' unless defined(&K_F234);
    eval 'sub K_F235 () { &K( &KT_FN,244);}' unless defined(&K_F235);
    eval 'sub K_F236 () { &K( &KT_FN,245);}' unless defined(&K_F236);
    eval 'sub K_F237 () { &K( &KT_FN,246);}' unless defined(&K_F237);
    eval 'sub K_F238 () { &K( &KT_FN,247);}' unless defined(&K_F238);
    eval 'sub K_F239 () { &K( &KT_FN,248);}' unless defined(&K_F239);
    eval 'sub K_F240 () { &K( &KT_FN,249);}' unless defined(&K_F240);
    eval 'sub K_F241 () { &K( &KT_FN,250);}' unless defined(&K_F241);
    eval 'sub K_F242 () { &K( &KT_FN,251);}' unless defined(&K_F242);
    eval 'sub K_F243 () { &K( &KT_FN,252);}' unless defined(&K_F243);
    eval 'sub K_F244 () { &K( &KT_FN,253);}' unless defined(&K_F244);
    eval 'sub K_F245 () { &K( &KT_FN,254);}' unless defined(&K_F245);
    eval 'sub K_UNDO () { &K( &KT_FN,255);}' unless defined(&K_UNDO);
    eval 'sub K_HOLE () { &K( &KT_SPEC,0);}' unless defined(&K_HOLE);
    eval 'sub K_ENTER () { &K( &KT_SPEC,1);}' unless defined(&K_ENTER);
    eval 'sub K_SH_REGS () { &K( &KT_SPEC,2);}' unless defined(&K_SH_REGS);
    eval 'sub K_SH_MEM () { &K( &KT_SPEC,3);}' unless defined(&K_SH_MEM);
    eval 'sub K_SH_STAT () { &K( &KT_SPEC,4);}' unless defined(&K_SH_STAT);
    eval 'sub K_BREAK () { &K( &KT_SPEC,5);}' unless defined(&K_BREAK);
    eval 'sub K_CONS () { &K( &KT_SPEC,6);}' unless defined(&K_CONS);
    eval 'sub K_CAPS () { &K( &KT_SPEC,7);}' unless defined(&K_CAPS);
    eval 'sub K_NUM () { &K( &KT_SPEC,8);}' unless defined(&K_NUM);
    eval 'sub K_HOLD () { &K( &KT_SPEC,9);}' unless defined(&K_HOLD);
    eval 'sub K_SCROLLFORW () { &K( &KT_SPEC,10);}' unless defined(&K_SCROLLFORW);
    eval 'sub K_SCROLLBACK () { &K( &KT_SPEC,11);}' unless defined(&K_SCROLLBACK);
    eval 'sub K_BOOT () { &K( &KT_SPEC,12);}' unless defined(&K_BOOT);
    eval 'sub K_CAPSON () { &K( &KT_SPEC,13);}' unless defined(&K_CAPSON);
    eval 'sub K_COMPOSE () { &K( &KT_SPEC,14);}' unless defined(&K_COMPOSE);
    eval 'sub K_SAK () { &K( &KT_SPEC,15);}' unless defined(&K_SAK);
    eval 'sub K_DECRCONSOLE () { &K( &KT_SPEC,16);}' unless defined(&K_DECRCONSOLE);
    eval 'sub K_INCRCONSOLE () { &K( &KT_SPEC,17);}' unless defined(&K_INCRCONSOLE);
    eval 'sub K_SPAWNCONSOLE () { &K( &KT_SPEC,18);}' unless defined(&K_SPAWNCONSOLE);
    eval 'sub K_BARENUMLOCK () { &K( &KT_SPEC,19);}' unless defined(&K_BARENUMLOCK);
    eval 'sub K_ALLOCATED () { &K( &KT_SPEC,126);}' unless defined(&K_ALLOCATED);
    eval 'sub K_NOSUCHMAP () { &K( &KT_SPEC,127);}' unless defined(&K_NOSUCHMAP);
    eval 'sub K_P0 () { &K( &KT_PAD,0);}' unless defined(&K_P0);
    eval 'sub K_P1 () { &K( &KT_PAD,1);}' unless defined(&K_P1);
    eval 'sub K_P2 () { &K( &KT_PAD,2);}' unless defined(&K_P2);
    eval 'sub K_P3 () { &K( &KT_PAD,3);}' unless defined(&K_P3);
    eval 'sub K_P4 () { &K( &KT_PAD,4);}' unless defined(&K_P4);
    eval 'sub K_P5 () { &K( &KT_PAD,5);}' unless defined(&K_P5);
    eval 'sub K_P6 () { &K( &KT_PAD,6);}' unless defined(&K_P6);
    eval 'sub K_P7 () { &K( &KT_PAD,7);}' unless defined(&K_P7);
    eval 'sub K_P8 () { &K( &KT_PAD,8);}' unless defined(&K_P8);
    eval 'sub K_P9 () { &K( &KT_PAD,9);}' unless defined(&K_P9);
    eval 'sub K_PPLUS () { &K( &KT_PAD,10);}' unless defined(&K_PPLUS);
    eval 'sub K_PMINUS () { &K( &KT_PAD,11);}' unless defined(&K_PMINUS);
    eval 'sub K_PSTAR () { &K( &KT_PAD,12);}' unless defined(&K_PSTAR);
    eval 'sub K_PSLASH () { &K( &KT_PAD,13);}' unless defined(&K_PSLASH);
    eval 'sub K_PENTER () { &K( &KT_PAD,14);}' unless defined(&K_PENTER);
    eval 'sub K_PCOMMA () { &K( &KT_PAD,15);}' unless defined(&K_PCOMMA);
    eval 'sub K_PDOT () { &K( &KT_PAD,16);}' unless defined(&K_PDOT);
    eval 'sub K_PPLUSMINUS () { &K( &KT_PAD,17);}' unless defined(&K_PPLUSMINUS);
    eval 'sub K_PPARENL () { &K( &KT_PAD,18);}' unless defined(&K_PPARENL);
    eval 'sub K_PPARENR () { &K( &KT_PAD,19);}' unless defined(&K_PPARENR);
    eval 'sub NR_PAD () {20;}' unless defined(&NR_PAD);
    eval 'sub K_DGRAVE () { &K( &KT_DEAD,0);}' unless defined(&K_DGRAVE);
    eval 'sub K_DACUTE () { &K( &KT_DEAD,1);}' unless defined(&K_DACUTE);
    eval 'sub K_DCIRCM () { &K( &KT_DEAD,2);}' unless defined(&K_DCIRCM);
    eval 'sub K_DTILDE () { &K( &KT_DEAD,3);}' unless defined(&K_DTILDE);
    eval 'sub K_DDIERE () { &K( &KT_DEAD,4);}' unless defined(&K_DDIERE);
    eval 'sub K_DCEDIL () { &K( &KT_DEAD,5);}' unless defined(&K_DCEDIL);
    eval 'sub NR_DEAD () {6;}' unless defined(&NR_DEAD);
    eval 'sub K_DOWN () { &K( &KT_CUR,0);}' unless defined(&K_DOWN);
    eval 'sub K_LEFT () { &K( &KT_CUR,1);}' unless defined(&K_LEFT);
    eval 'sub K_RIGHT () { &K( &KT_CUR,2);}' unless defined(&K_RIGHT);
    eval 'sub K_UP () { &K( &KT_CUR,3);}' unless defined(&K_UP);
    eval 'sub K_SHIFT () { &K( &KT_SHIFT, &KG_SHIFT);}' unless defined(&K_SHIFT);
    eval 'sub K_CTRL () { &K( &KT_SHIFT, &KG_CTRL);}' unless defined(&K_CTRL);
    eval 'sub K_ALT () { &K( &KT_SHIFT, &KG_ALT);}' unless defined(&K_ALT);
    eval 'sub K_ALTGR () { &K( &KT_SHIFT, &KG_ALTGR);}' unless defined(&K_ALTGR);
    eval 'sub K_SHIFTL () { &K( &KT_SHIFT, &KG_SHIFTL);}' unless defined(&K_SHIFTL);
    eval 'sub K_SHIFTR () { &K( &KT_SHIFT, &KG_SHIFTR);}' unless defined(&K_SHIFTR);
    eval 'sub K_CTRLL () { &K( &KT_SHIFT, &KG_CTRLL);}' unless defined(&K_CTRLL);
    eval 'sub K_CTRLR () { &K( &KT_SHIFT, &KG_CTRLR);}' unless defined(&K_CTRLR);
    eval 'sub K_CAPSSHIFT () { &K( &KT_SHIFT, &KG_CAPSSHIFT);}' unless defined(&K_CAPSSHIFT);
    eval 'sub K_ASC0 () { &K( &KT_ASCII,0);}' unless defined(&K_ASC0);
    eval 'sub K_ASC1 () { &K( &KT_ASCII,1);}' unless defined(&K_ASC1);
    eval 'sub K_ASC2 () { &K( &KT_ASCII,2);}' unless defined(&K_ASC2);
    eval 'sub K_ASC3 () { &K( &KT_ASCII,3);}' unless defined(&K_ASC3);
    eval 'sub K_ASC4 () { &K( &KT_ASCII,4);}' unless defined(&K_ASC4);
    eval 'sub K_ASC5 () { &K( &KT_ASCII,5);}' unless defined(&K_ASC5);
    eval 'sub K_ASC6 () { &K( &KT_ASCII,6);}' unless defined(&K_ASC6);
    eval 'sub K_ASC7 () { &K( &KT_ASCII,7);}' unless defined(&K_ASC7);
    eval 'sub K_ASC8 () { &K( &KT_ASCII,8);}' unless defined(&K_ASC8);
    eval 'sub K_ASC9 () { &K( &KT_ASCII,9);}' unless defined(&K_ASC9);
    eval 'sub K_HEX0 () { &K( &KT_ASCII,10);}' unless defined(&K_HEX0);
    eval 'sub K_HEX1 () { &K( &KT_ASCII,11);}' unless defined(&K_HEX1);
    eval 'sub K_HEX2 () { &K( &KT_ASCII,12);}' unless defined(&K_HEX2);
    eval 'sub K_HEX3 () { &K( &KT_ASCII,13);}' unless defined(&K_HEX3);
    eval 'sub K_HEX4 () { &K( &KT_ASCII,14);}' unless defined(&K_HEX4);
    eval 'sub K_HEX5 () { &K( &KT_ASCII,15);}' unless defined(&K_HEX5);
    eval 'sub K_HEX6 () { &K( &KT_ASCII,16);}' unless defined(&K_HEX6);
    eval 'sub K_HEX7 () { &K( &KT_ASCII,17);}' unless defined(&K_HEX7);
    eval 'sub K_HEX8 () { &K( &KT_ASCII,18);}' unless defined(&K_HEX8);
    eval 'sub K_HEX9 () { &K( &KT_ASCII,19);}' unless defined(&K_HEX9);
    eval 'sub K_HEXa () { &K( &KT_ASCII,20);}' unless defined(&K_HEXa);
    eval 'sub K_HEXb () { &K( &KT_ASCII,21);}' unless defined(&K_HEXb);
    eval 'sub K_HEXc () { &K( &KT_ASCII,22);}' unless defined(&K_HEXc);
    eval 'sub K_HEXd () { &K( &KT_ASCII,23);}' unless defined(&K_HEXd);
    eval 'sub K_HEXe () { &K( &KT_ASCII,24);}' unless defined(&K_HEXe);
    eval 'sub K_HEXf () { &K( &KT_ASCII,25);}' unless defined(&K_HEXf);
    eval 'sub NR_ASCII () {26;}' unless defined(&NR_ASCII);
    eval 'sub K_SHIFTLOCK () { &K( &KT_LOCK, &KG_SHIFT);}' unless defined(&K_SHIFTLOCK);
    eval 'sub K_CTRLLOCK () { &K( &KT_LOCK, &KG_CTRL);}' unless defined(&K_CTRLLOCK);
    eval 'sub K_ALTLOCK () { &K( &KT_LOCK, &KG_ALT);}' unless defined(&K_ALTLOCK);
    eval 'sub K_ALTGRLOCK () { &K( &KT_LOCK, &KG_ALTGR);}' unless defined(&K_ALTGRLOCK);
    eval 'sub K_SHIFTLLOCK () { &K( &KT_LOCK, &KG_SHIFTL);}' unless defined(&K_SHIFTLLOCK);
    eval 'sub K_SHIFTRLOCK () { &K( &KT_LOCK, &KG_SHIFTR);}' unless defined(&K_SHIFTRLOCK);
    eval 'sub K_CTRLLLOCK () { &K( &KT_LOCK, &KG_CTRLL);}' unless defined(&K_CTRLLLOCK);
    eval 'sub K_CTRLRLOCK () { &K( &KT_LOCK, &KG_CTRLR);}' unless defined(&K_CTRLRLOCK);
    eval 'sub K_SHIFT_SLOCK () { &K( &KT_SLOCK, &KG_SHIFT);}' unless defined(&K_SHIFT_SLOCK);
    eval 'sub K_CTRL_SLOCK () { &K( &KT_SLOCK, &KG_CTRL);}' unless defined(&K_CTRL_SLOCK);
    eval 'sub K_ALT_SLOCK () { &K( &KT_SLOCK, &KG_ALT);}' unless defined(&K_ALT_SLOCK);
    eval 'sub K_ALTGR_SLOCK () { &K( &KT_SLOCK, &KG_ALTGR);}' unless defined(&K_ALTGR_SLOCK);
    eval 'sub K_SHIFTL_SLOCK () { &K( &KT_SLOCK, &KG_SHIFTL);}' unless defined(&K_SHIFTL_SLOCK);
    eval 'sub K_SHIFTR_SLOCK () { &K( &KT_SLOCK, &KG_SHIFTR);}' unless defined(&K_SHIFTR_SLOCK);
    eval 'sub K_CTRLL_SLOCK () { &K( &KT_SLOCK, &KG_CTRLL);}' unless defined(&K_CTRLL_SLOCK);
    eval 'sub K_CTRLR_SLOCK () { &K( &KT_SLOCK, &KG_CTRLR);}' unless defined(&K_CTRLR_SLOCK);
    eval 'sub NR_LOCK () {8;}' unless defined(&NR_LOCK);
    eval 'sub MAX_DIACR () {256;}' unless defined(&MAX_DIACR);
}
1;
