require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
unless(defined(&CONFIG_PARISC)) {
    sub CONFIG_PARISC () {	1;}
}
unless(defined(&CONFIG_MMU)) {
    sub CONFIG_MMU () {	1;}
}
unless(defined(&CONFIG_STACK_GROWSUP)) {
    sub CONFIG_STACK_GROWSUP () {	1;}
}
unless(defined(&CONFIG_RWSEM_GENERIC_SPINLOCK)) {
    sub CONFIG_RWSEM_GENERIC_SPINLOCK () {	1;}
}
unless(defined(&CONFIG_GENERIC_CALIBRATE_DELAY)) {
    sub CONFIG_GENERIC_CALIBRATE_DELAY () {	1;}
}
unless(defined(&CONFIG_GENERIC_HARDIRQS)) {
    sub CONFIG_GENERIC_HARDIRQS () {	1;}
}
unless(defined(&CONFIG_GENERIC_IRQ_PROBE)) {
    sub CONFIG_GENERIC_IRQ_PROBE () {	1;}
}
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
unless(defined(&CONFIG_CLEAN_COMPILE)) {
    sub CONFIG_CLEAN_COMPILE () {	1;}
}
unless(defined(&CONFIG_BROKEN_ON_SMP)) {
    sub CONFIG_BROKEN_ON_SMP () {	1;}
}
unless(defined(&CONFIG_LOCALVERSION)) {
    sub CONFIG_LOCALVERSION () {	"";}
}
unless(defined(&CONFIG_SWAP)) {
    sub CONFIG_SWAP () {	1;}
}
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
undef(&CONFIG_POSIX_MQUEUE) if defined(&CONFIG_POSIX_MQUEUE);
undef(&CONFIG_BSD_PROCESS_ACCT) if defined(&CONFIG_BSD_PROCESS_ACCT);
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
undef(&CONFIG_AUDIT) if defined(&CONFIG_AUDIT);
unless(defined(&CONFIG_LOG_BUF_SHIFT)) {
    sub CONFIG_LOG_BUF_SHIFT () {	15;}
}
undef(&CONFIG_HOTPLUG) if defined(&CONFIG_HOTPLUG);
unless(defined(&CONFIG_KOBJECT_UEVENT)) {
    sub CONFIG_KOBJECT_UEVENT () {	1;}
}
unless(defined(&CONFIG_IKCONFIG)) {
    sub CONFIG_IKCONFIG () {	1;}
}
unless(defined(&CONFIG_IKCONFIG_PROC)) {
    sub CONFIG_IKCONFIG_PROC () {	1;}
}
undef(&CONFIG_EMBEDDED) if defined(&CONFIG_EMBEDDED);
unless(defined(&CONFIG_KALLSYMS)) {
    sub CONFIG_KALLSYMS () {	1;}
}
undef(&CONFIG_KALLSYMS_ALL) if defined(&CONFIG_KALLSYMS_ALL);
undef(&CONFIG_KALLSYMS_EXTRA_PASS) if defined(&CONFIG_KALLSYMS_EXTRA_PASS);
unless(defined(&CONFIG_FUTEX)) {
    sub CONFIG_FUTEX () {	1;}
}
unless(defined(&CONFIG_EPOLL)) {
    sub CONFIG_EPOLL () {	1;}
}
undef(&CONFIG_CC_OPTIMIZE_FOR_SIZE) if defined(&CONFIG_CC_OPTIMIZE_FOR_SIZE);
unless(defined(&CONFIG_SHMEM)) {
    sub CONFIG_SHMEM () {	1;}
}
unless(defined(&CONFIG_CC_ALIGN_FUNCTIONS)) {
    sub CONFIG_CC_ALIGN_FUNCTIONS () {	0;}
}
unless(defined(&CONFIG_CC_ALIGN_LABELS)) {
    sub CONFIG_CC_ALIGN_LABELS () {	0;}
}
unless(defined(&CONFIG_CC_ALIGN_LOOPS)) {
    sub CONFIG_CC_ALIGN_LOOPS () {	0;}
}
unless(defined(&CONFIG_CC_ALIGN_JUMPS)) {
    sub CONFIG_CC_ALIGN_JUMPS () {	0;}
}
undef(&CONFIG_TINY_SHMEM) if defined(&CONFIG_TINY_SHMEM);
undef(&CONFIG_MODULES) if defined(&CONFIG_MODULES);
unless(defined(&CONFIG_PA7000)) {
    sub CONFIG_PA7000 () {	1;}
}
undef(&CONFIG_PA7100LC) if defined(&CONFIG_PA7100LC);
undef(&CONFIG_PA7200) if defined(&CONFIG_PA7200);
undef(&CONFIG_PA7300LC) if defined(&CONFIG_PA7300LC);
undef(&CONFIG_PA8X00) if defined(&CONFIG_PA8X00);
unless(defined(&CONFIG_PA11)) {
    sub CONFIG_PA11 () {	1;}
}
undef(&CONFIG_64BIT) if defined(&CONFIG_64BIT);
undef(&CONFIG_SMP) if defined(&CONFIG_SMP);
undef(&CONFIG_DISCONTIGMEM) if defined(&CONFIG_DISCONTIGMEM);
undef(&CONFIG_PREEMPT) if defined(&CONFIG_PREEMPT);
undef(&CONFIG_HPUX) if defined(&CONFIG_HPUX);
unless(defined(&CONFIG_GSC)) {
    sub CONFIG_GSC () {	1;}
}
unless(defined(&CONFIG_HPPB)) {
    sub CONFIG_HPPB () {	1;}
}
unless(defined(&CONFIG_IOMMU_CCIO)) {
    sub CONFIG_IOMMU_CCIO () {	1;}
}
unless(defined(&CONFIG_GSC_LASI)) {
    sub CONFIG_GSC_LASI () {	1;}
}
unless(defined(&CONFIG_GSC_WAX)) {
    sub CONFIG_GSC_WAX () {	1;}
}
unless(defined(&CONFIG_EISA)) {
    sub CONFIG_EISA () {	1;}
}
unless(defined(&CONFIG_EISA_NAMES)) {
    sub CONFIG_EISA_NAMES () {	1;}
}
undef(&CONFIG_ISA) if defined(&CONFIG_ISA);
unless(defined(&CONFIG_PCI)) {
    sub CONFIG_PCI () {	1;}
}
unless(defined(&CONFIG_PCI_LEGACY_PROC)) {
    sub CONFIG_PCI_LEGACY_PROC () {	1;}
}
unless(defined(&CONFIG_PCI_NAMES)) {
    sub CONFIG_PCI_NAMES () {	1;}
}
unless(defined(&CONFIG_GSC_DINO)) {
    sub CONFIG_GSC_DINO () {	1;}
}
unless(defined(&CONFIG_PCI_LBA)) {
    sub CONFIG_PCI_LBA () {	1;}
}
unless(defined(&CONFIG_IOSAPIC)) {
    sub CONFIG_IOSAPIC () {	1;}
}
unless(defined(&CONFIG_IOMMU_SBA)) {
    sub CONFIG_IOMMU_SBA () {	1;}
}
unless(defined(&CONFIG_SUPERIO)) {
    sub CONFIG_SUPERIO () {	1;}
}
unless(defined(&CONFIG_CHASSIS_LCD_LED)) {
    sub CONFIG_CHASSIS_LCD_LED () {	1;}
}
unless(defined(&CONFIG_PDC_CHASSIS)) {
    sub CONFIG_PDC_CHASSIS () {	1;}
}
undef(&CONFIG_PCCARD) if defined(&CONFIG_PCCARD);
undef(&CONFIG_HOTPLUG_PCI) if defined(&CONFIG_HOTPLUG_PCI);
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
undef(&CONFIG_BINFMT_MISC) if defined(&CONFIG_BINFMT_MISC);
unless(defined(&CONFIG_STANDALONE)) {
    sub CONFIG_STANDALONE () {	1;}
}
unless(defined(&CONFIG_PREVENT_FIRMWARE_BUILD)) {
    sub CONFIG_PREVENT_FIRMWARE_BUILD () {	1;}
}
undef(&CONFIG_FW_LOADER) if defined(&CONFIG_FW_LOADER);
undef(&CONFIG_DEBUG_DRIVER) if defined(&CONFIG_DEBUG_DRIVER);
undef(&CONFIG_MTD) if defined(&CONFIG_MTD);
unless(defined(&CONFIG_PARPORT)) {
    sub CONFIG_PARPORT () {	1;}
}
unless(defined(&CONFIG_PARPORT_PC)) {
    sub CONFIG_PARPORT_PC () {	1;}
}
unless(defined(&CONFIG_PARPORT_PC_CML1)) {
    sub CONFIG_PARPORT_PC_CML1 () {	1;}
}
undef(&CONFIG_PARPORT_SERIAL) if defined(&CONFIG_PARPORT_SERIAL);
undef(&CONFIG_PARPORT_PC_FIFO) if defined(&CONFIG_PARPORT_PC_FIFO);
undef(&CONFIG_PARPORT_PC_SUPERIO) if defined(&CONFIG_PARPORT_PC_SUPERIO);
unless(defined(&CONFIG_PARPORT_GSC)) {
    sub CONFIG_PARPORT_GSC () {	1;}
}
undef(&CONFIG_PARPORT_OTHER) if defined(&CONFIG_PARPORT_OTHER);
undef(&CONFIG_PARPORT_1284) if defined(&CONFIG_PARPORT_1284);
undef(&CONFIG_BLK_DEV_FD) if defined(&CONFIG_BLK_DEV_FD);
undef(&CONFIG_PARIDE) if defined(&CONFIG_PARIDE);
undef(&CONFIG_BLK_CPQ_DA) if defined(&CONFIG_BLK_CPQ_DA);
undef(&CONFIG_BLK_CPQ_CISS_DA) if defined(&CONFIG_BLK_CPQ_CISS_DA);
undef(&CONFIG_BLK_DEV_DAC960) if defined(&CONFIG_BLK_DEV_DAC960);
undef(&CONFIG_BLK_DEV_UMEM) if defined(&CONFIG_BLK_DEV_UMEM);
undef(&CONFIG_BLK_DEV_COW_COMMON) if defined(&CONFIG_BLK_DEV_COW_COMMON);
unless(defined(&CONFIG_BLK_DEV_LOOP)) {
    sub CONFIG_BLK_DEV_LOOP () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_CRYPTOLOOP)) {
    sub CONFIG_BLK_DEV_CRYPTOLOOP () {	1;}
}
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
undef(&CONFIG_BLK_DEV_SX8) if defined(&CONFIG_BLK_DEV_SX8);
undef(&CONFIG_BLK_DEV_UB) if defined(&CONFIG_BLK_DEV_UB);
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_COUNT)) {
    sub CONFIG_BLK_DEV_RAM_COUNT () {	16;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	4096;}
}
unless(defined(&CONFIG_BLK_DEV_INITRD)) {
    sub CONFIG_BLK_DEV_INITRD () {	1;}
}
unless(defined(&CONFIG_INITRAMFS_SOURCE)) {
    sub CONFIG_INITRAMFS_SOURCE () {	"";}
}
undef(&CONFIG_CDROM_PKTCDVD) if defined(&CONFIG_CDROM_PKTCDVD);
unless(defined(&CONFIG_IOSCHED_NOOP)) {
    sub CONFIG_IOSCHED_NOOP () {	1;}
}
unless(defined(&CONFIG_IOSCHED_AS)) {
    sub CONFIG_IOSCHED_AS () {	1;}
}
unless(defined(&CONFIG_IOSCHED_DEADLINE)) {
    sub CONFIG_IOSCHED_DEADLINE () {	1;}
}
unless(defined(&CONFIG_IOSCHED_CFQ)) {
    sub CONFIG_IOSCHED_CFQ () {	1;}
}
undef(&CONFIG_ATA_OVER_ETH) if defined(&CONFIG_ATA_OVER_ETH);
undef(&CONFIG_IDE) if defined(&CONFIG_IDE);
unless(defined(&CONFIG_SCSI)) {
    sub CONFIG_SCSI () {	1;}
}
unless(defined(&CONFIG_SCSI_PROC_FS)) {
    sub CONFIG_SCSI_PROC_FS () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SD)) {
    sub CONFIG_BLK_DEV_SD () {	1;}
}
unless(defined(&CONFIG_CHR_DEV_ST)) {
    sub CONFIG_CHR_DEV_ST () {	1;}
}
undef(&CONFIG_CHR_DEV_OSST) if defined(&CONFIG_CHR_DEV_OSST);
unless(defined(&CONFIG_BLK_DEV_SR)) {
    sub CONFIG_BLK_DEV_SR () {	1;}
}
undef(&CONFIG_BLK_DEV_SR_VENDOR) if defined(&CONFIG_BLK_DEV_SR_VENDOR);
unless(defined(&CONFIG_CHR_DEV_SG)) {
    sub CONFIG_CHR_DEV_SG () {	1;}
}
undef(&CONFIG_SCSI_MULTI_LUN) if defined(&CONFIG_SCSI_MULTI_LUN);
undef(&CONFIG_SCSI_CONSTANTS) if defined(&CONFIG_SCSI_CONSTANTS);
undef(&CONFIG_SCSI_LOGGING) if defined(&CONFIG_SCSI_LOGGING);
unless(defined(&CONFIG_SCSI_SPI_ATTRS)) {
    sub CONFIG_SCSI_SPI_ATTRS () {	1;}
}
undef(&CONFIG_SCSI_FC_ATTRS) if defined(&CONFIG_SCSI_FC_ATTRS);
undef(&CONFIG_SCSI_ISCSI_ATTRS) if defined(&CONFIG_SCSI_ISCSI_ATTRS);
undef(&CONFIG_BLK_DEV_3W_XXXX_RAID) if defined(&CONFIG_BLK_DEV_3W_XXXX_RAID);
undef(&CONFIG_SCSI_3W_9XXX) if defined(&CONFIG_SCSI_3W_9XXX);
undef(&CONFIG_SCSI_ACARD) if defined(&CONFIG_SCSI_ACARD);
undef(&CONFIG_SCSI_AHA1740) if defined(&CONFIG_SCSI_AHA1740);
undef(&CONFIG_SCSI_AACRAID) if defined(&CONFIG_SCSI_AACRAID);
undef(&CONFIG_SCSI_AIC7XXX) if defined(&CONFIG_SCSI_AIC7XXX);
undef(&CONFIG_SCSI_AIC7XXX_OLD) if defined(&CONFIG_SCSI_AIC7XXX_OLD);
undef(&CONFIG_SCSI_AIC79XX) if defined(&CONFIG_SCSI_AIC79XX);
undef(&CONFIG_SCSI_DPT_I2O) if defined(&CONFIG_SCSI_DPT_I2O);
undef(&CONFIG_MEGARAID_NEWGEN) if defined(&CONFIG_MEGARAID_NEWGEN);
undef(&CONFIG_MEGARAID_LEGACY) if defined(&CONFIG_MEGARAID_LEGACY);
undef(&CONFIG_SCSI_SATA) if defined(&CONFIG_SCSI_SATA);
undef(&CONFIG_SCSI_BUSLOGIC) if defined(&CONFIG_SCSI_BUSLOGIC);
undef(&CONFIG_SCSI_DMX3191D) if defined(&CONFIG_SCSI_DMX3191D);
undef(&CONFIG_SCSI_EATA) if defined(&CONFIG_SCSI_EATA);
undef(&CONFIG_SCSI_EATA_PIO) if defined(&CONFIG_SCSI_EATA_PIO);
undef(&CONFIG_SCSI_FUTURE_DOMAIN) if defined(&CONFIG_SCSI_FUTURE_DOMAIN);
undef(&CONFIG_SCSI_GDTH) if defined(&CONFIG_SCSI_GDTH);
undef(&CONFIG_SCSI_IPS) if defined(&CONFIG_SCSI_IPS);
undef(&CONFIG_SCSI_INITIO) if defined(&CONFIG_SCSI_INITIO);
undef(&CONFIG_SCSI_INIA100) if defined(&CONFIG_SCSI_INIA100);
undef(&CONFIG_SCSI_PPA) if defined(&CONFIG_SCSI_PPA);
undef(&CONFIG_SCSI_IMM) if defined(&CONFIG_SCSI_IMM);
unless(defined(&CONFIG_SCSI_LASI700)) {
    sub CONFIG_SCSI_LASI700 () {	1;}
}
unless(defined(&CONFIG_53C700_MEM_MAPPED)) {
    sub CONFIG_53C700_MEM_MAPPED () {	1;}
}
unless(defined(&CONFIG_53C700_LE_ON_BE)) {
    sub CONFIG_53C700_LE_ON_BE () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_2)) {
    sub CONFIG_SCSI_SYM53C8XX_2 () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE)) {
    sub CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS () {	16;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_MAX_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_MAX_TAGS () {	64;}
}
undef(&CONFIG_SCSI_SYM53C8XX_IOMAPPED) if defined(&CONFIG_SCSI_SYM53C8XX_IOMAPPED);
undef(&CONFIG_SCSI_IPR) if defined(&CONFIG_SCSI_IPR);
unless(defined(&CONFIG_SCSI_ZALON)) {
    sub CONFIG_SCSI_ZALON () {	1;}
}
unless(defined(&CONFIG_SCSI_NCR53C8XX_DEFAULT_TAGS)) {
    sub CONFIG_SCSI_NCR53C8XX_DEFAULT_TAGS () {	8;}
}
unless(defined(&CONFIG_SCSI_NCR53C8XX_MAX_TAGS)) {
    sub CONFIG_SCSI_NCR53C8XX_MAX_TAGS () {	32;}
}
unless(defined(&CONFIG_SCSI_NCR53C8XX_SYNC)) {
    sub CONFIG_SCSI_NCR53C8XX_SYNC () {	20;}
}
undef(&CONFIG_SCSI_NCR53C8XX_PROFILE) if defined(&CONFIG_SCSI_NCR53C8XX_PROFILE);
undef(&CONFIG_SCSI_QLOGIC_ISP) if defined(&CONFIG_SCSI_QLOGIC_ISP);
undef(&CONFIG_SCSI_QLOGIC_FC) if defined(&CONFIG_SCSI_QLOGIC_FC);
undef(&CONFIG_SCSI_QLOGIC_1280) if defined(&CONFIG_SCSI_QLOGIC_1280);
unless(defined(&CONFIG_SCSI_QLA2XXX)) {
    sub CONFIG_SCSI_QLA2XXX () {	1;}
}
undef(&CONFIG_SCSI_QLA21XX) if defined(&CONFIG_SCSI_QLA21XX);
undef(&CONFIG_SCSI_QLA22XX) if defined(&CONFIG_SCSI_QLA22XX);
undef(&CONFIG_SCSI_QLA2300) if defined(&CONFIG_SCSI_QLA2300);
undef(&CONFIG_SCSI_QLA2322) if defined(&CONFIG_SCSI_QLA2322);
undef(&CONFIG_SCSI_QLA6312) if defined(&CONFIG_SCSI_QLA6312);
undef(&CONFIG_SCSI_SIM710) if defined(&CONFIG_SCSI_SIM710);
undef(&CONFIG_SCSI_DC395x) if defined(&CONFIG_SCSI_DC395x);
undef(&CONFIG_SCSI_DC390T) if defined(&CONFIG_SCSI_DC390T);
undef(&CONFIG_SCSI_NSP32) if defined(&CONFIG_SCSI_NSP32);
undef(&CONFIG_SCSI_DEBUG) if defined(&CONFIG_SCSI_DEBUG);
unless(defined(&CONFIG_MD)) {
    sub CONFIG_MD () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_MD)) {
    sub CONFIG_BLK_DEV_MD () {	1;}
}
unless(defined(&CONFIG_MD_LINEAR)) {
    sub CONFIG_MD_LINEAR () {	1;}
}
unless(defined(&CONFIG_MD_RAID0)) {
    sub CONFIG_MD_RAID0 () {	1;}
}
unless(defined(&CONFIG_MD_RAID1)) {
    sub CONFIG_MD_RAID1 () {	1;}
}
undef(&CONFIG_MD_RAID10) if defined(&CONFIG_MD_RAID10);
unless(defined(&CONFIG_MD_RAID5)) {
    sub CONFIG_MD_RAID5 () {	1;}
}
undef(&CONFIG_MD_RAID6) if defined(&CONFIG_MD_RAID6);
undef(&CONFIG_MD_MULTIPATH) if defined(&CONFIG_MD_MULTIPATH);
undef(&CONFIG_MD_FAULTY) if defined(&CONFIG_MD_FAULTY);
undef(&CONFIG_BLK_DEV_DM) if defined(&CONFIG_BLK_DEV_DM);
undef(&CONFIG_FUSION) if defined(&CONFIG_FUSION);
undef(&CONFIG_IEEE1394) if defined(&CONFIG_IEEE1394);
undef(&CONFIG_I2O) if defined(&CONFIG_I2O);
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
unless(defined(&CONFIG_PACKET)) {
    sub CONFIG_PACKET () {	1;}
}
unless(defined(&CONFIG_PACKET_MMAP)) {
    sub CONFIG_PACKET_MMAP () {	1;}
}
unless(defined(&CONFIG_NETLINK_DEV)) {
    sub CONFIG_NETLINK_DEV () {	1;}
}
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
undef(&CONFIG_NET_KEY) if defined(&CONFIG_NET_KEY);
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
unless(defined(&CONFIG_IP_MULTICAST)) {
    sub CONFIG_IP_MULTICAST () {	1;}
}
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
unless(defined(&CONFIG_IP_PNP)) {
    sub CONFIG_IP_PNP () {	1;}
}
undef(&CONFIG_IP_PNP_DHCP) if defined(&CONFIG_IP_PNP_DHCP);
unless(defined(&CONFIG_IP_PNP_BOOTP)) {
    sub CONFIG_IP_PNP_BOOTP () {	1;}
}
undef(&CONFIG_IP_PNP_RARP) if defined(&CONFIG_IP_PNP_RARP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_IP_MROUTE) if defined(&CONFIG_IP_MROUTE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
undef(&CONFIG_SYN_COOKIES) if defined(&CONFIG_SYN_COOKIES);
undef(&CONFIG_INET_AH) if defined(&CONFIG_INET_AH);
undef(&CONFIG_INET_ESP) if defined(&CONFIG_INET_ESP);
undef(&CONFIG_INET_IPCOMP) if defined(&CONFIG_INET_IPCOMP);
undef(&CONFIG_INET_TUNNEL) if defined(&CONFIG_INET_TUNNEL);
unless(defined(&CONFIG_IP_TCPDIAG)) {
    sub CONFIG_IP_TCPDIAG () {	1;}
}
undef(&CONFIG_IP_TCPDIAG_IPV6) if defined(&CONFIG_IP_TCPDIAG_IPV6);
undef(&CONFIG_IPV6) if defined(&CONFIG_IPV6);
undef(&CONFIG_NETFILTER) if defined(&CONFIG_NETFILTER);
undef(&CONFIG_IP_SCTP) if defined(&CONFIG_IP_SCTP);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_LLC2) if defined(&CONFIG_LLC2);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
undef(&CONFIG_NET_CLS_ROUTE) if defined(&CONFIG_NET_CLS_ROUTE);
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
undef(&CONFIG_NETPOLL) if defined(&CONFIG_NETPOLL);
undef(&CONFIG_NET_POLL_CONTROLLER) if defined(&CONFIG_NET_POLL_CONTROLLER);
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
undef(&CONFIG_IRDA) if defined(&CONFIG_IRDA);
undef(&CONFIG_BT) if defined(&CONFIG_BT);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
undef(&CONFIG_DUMMY) if defined(&CONFIG_DUMMY);
undef(&CONFIG_BONDING) if defined(&CONFIG_BONDING);
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
undef(&CONFIG_ETHERTAP) if defined(&CONFIG_ETHERTAP);
undef(&CONFIG_ARCNET) if defined(&CONFIG_ARCNET);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
undef(&CONFIG_MII) if defined(&CONFIG_MII);
unless(defined(&CONFIG_LASI_82596)) {
    sub CONFIG_LASI_82596 () {	1;}
}
undef(&CONFIG_HAPPYMEAL) if defined(&CONFIG_HAPPYMEAL);
undef(&CONFIG_SUNGEM) if defined(&CONFIG_SUNGEM);
undef(&CONFIG_NET_VENDOR_3COM) if defined(&CONFIG_NET_VENDOR_3COM);
undef(&CONFIG_NET_VENDOR_SMC) if defined(&CONFIG_NET_VENDOR_SMC);
unless(defined(&CONFIG_NET_TULIP)) {
    sub CONFIG_NET_TULIP () {	1;}
}
undef(&CONFIG_DE2104X) if defined(&CONFIG_DE2104X);
unless(defined(&CONFIG_TULIP)) {
    sub CONFIG_TULIP () {	1;}
}
undef(&CONFIG_TULIP_MWI) if defined(&CONFIG_TULIP_MWI);
undef(&CONFIG_TULIP_MMIO) if defined(&CONFIG_TULIP_MMIO);
undef(&CONFIG_TULIP_NAPI) if defined(&CONFIG_TULIP_NAPI);
undef(&CONFIG_DE4X5) if defined(&CONFIG_DE4X5);
undef(&CONFIG_WINBOND_840) if defined(&CONFIG_WINBOND_840);
undef(&CONFIG_DM9102) if defined(&CONFIG_DM9102);
undef(&CONFIG_DEPCA) if defined(&CONFIG_DEPCA);
undef(&CONFIG_HP100) if defined(&CONFIG_HP100);
unless(defined(&CONFIG_NET_PCI)) {
    sub CONFIG_NET_PCI () {	1;}
}
undef(&CONFIG_PCNET32) if defined(&CONFIG_PCNET32);
undef(&CONFIG_AMD8111_ETH) if defined(&CONFIG_AMD8111_ETH);
undef(&CONFIG_ADAPTEC_STARFIRE) if defined(&CONFIG_ADAPTEC_STARFIRE);
undef(&CONFIG_AC3200) if defined(&CONFIG_AC3200);
undef(&CONFIG_B44) if defined(&CONFIG_B44);
undef(&CONFIG_FORCEDETH) if defined(&CONFIG_FORCEDETH);
undef(&CONFIG_DGRS) if defined(&CONFIG_DGRS);
undef(&CONFIG_EEPRO100) if defined(&CONFIG_EEPRO100);
undef(&CONFIG_E100) if defined(&CONFIG_E100);
undef(&CONFIG_LNE390) if defined(&CONFIG_LNE390);
undef(&CONFIG_FEALNX) if defined(&CONFIG_FEALNX);
undef(&CONFIG_NATSEMI) if defined(&CONFIG_NATSEMI);
undef(&CONFIG_NE2K_PCI) if defined(&CONFIG_NE2K_PCI);
undef(&CONFIG_NE3210) if defined(&CONFIG_NE3210);
undef(&CONFIG_ES3210) if defined(&CONFIG_ES3210);
undef(&CONFIG_8139CP) if defined(&CONFIG_8139CP);
undef(&CONFIG_8139TOO) if defined(&CONFIG_8139TOO);
undef(&CONFIG_SIS900) if defined(&CONFIG_SIS900);
undef(&CONFIG_EPIC100) if defined(&CONFIG_EPIC100);
undef(&CONFIG_SUNDANCE) if defined(&CONFIG_SUNDANCE);
undef(&CONFIG_TLAN) if defined(&CONFIG_TLAN);
undef(&CONFIG_VIA_RHINE) if defined(&CONFIG_VIA_RHINE);
undef(&CONFIG_ACENIC) if defined(&CONFIG_ACENIC);
unless(defined(&CONFIG_DL2K)) {
    sub CONFIG_DL2K () {	1;}
}
undef(&CONFIG_E1000) if defined(&CONFIG_E1000);
undef(&CONFIG_NS83820) if defined(&CONFIG_NS83820);
undef(&CONFIG_HAMACHI) if defined(&CONFIG_HAMACHI);
undef(&CONFIG_YELLOWFIN) if defined(&CONFIG_YELLOWFIN);
undef(&CONFIG_R8169) if defined(&CONFIG_R8169);
undef(&CONFIG_SK98LIN) if defined(&CONFIG_SK98LIN);
undef(&CONFIG_VIA_VELOCITY) if defined(&CONFIG_VIA_VELOCITY);
undef(&CONFIG_TIGON3) if defined(&CONFIG_TIGON3);
undef(&CONFIG_IXGB) if defined(&CONFIG_IXGB);
undef(&CONFIG_S2IO) if defined(&CONFIG_S2IO);
undef(&CONFIG_TR) if defined(&CONFIG_TR);
unless(defined(&CONFIG_NET_RADIO)) {
    sub CONFIG_NET_RADIO () {	1;}
}
undef(&CONFIG_STRIP) if defined(&CONFIG_STRIP);
undef(&CONFIG_HERMES) if defined(&CONFIG_HERMES);
undef(&CONFIG_ATMEL) if defined(&CONFIG_ATMEL);
undef(&CONFIG_PRISM54) if defined(&CONFIG_PRISM54);
unless(defined(&CONFIG_NET_WIRELESS)) {
    sub CONFIG_NET_WIRELESS () {	1;}
}
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_FDDI) if defined(&CONFIG_FDDI);
undef(&CONFIG_HIPPI) if defined(&CONFIG_HIPPI);
undef(&CONFIG_PLIP) if defined(&CONFIG_PLIP);
undef(&CONFIG_PPP) if defined(&CONFIG_PPP);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
undef(&CONFIG_NET_FC) if defined(&CONFIG_NET_FC);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
undef(&CONFIG_NETCONSOLE) if defined(&CONFIG_NETCONSOLE);
undef(&CONFIG_ISDN) if defined(&CONFIG_ISDN);
undef(&CONFIG_PHONE) if defined(&CONFIG_PHONE);
unless(defined(&CONFIG_INPUT)) {
    sub CONFIG_INPUT () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV)) {
    sub CONFIG_INPUT_MOUSEDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_PSAUX)) {
    sub CONFIG_INPUT_MOUSEDEV_PSAUX () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_X)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_X () {	1024;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_Y)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_Y () {	768;}
}
undef(&CONFIG_INPUT_JOYDEV) if defined(&CONFIG_INPUT_JOYDEV);
undef(&CONFIG_INPUT_TSDEV) if defined(&CONFIG_INPUT_TSDEV);
unless(defined(&CONFIG_INPUT_EVDEV)) {
    sub CONFIG_INPUT_EVDEV () {	1;}
}
undef(&CONFIG_INPUT_EVBUG) if defined(&CONFIG_INPUT_EVBUG);
undef(&CONFIG_GAMEPORT) if defined(&CONFIG_GAMEPORT);
unless(defined(&CONFIG_SOUND_GAMEPORT)) {
    sub CONFIG_SOUND_GAMEPORT () {	1;}
}
unless(defined(&CONFIG_SERIO)) {
    sub CONFIG_SERIO () {	1;}
}
undef(&CONFIG_SERIO_SERPORT) if defined(&CONFIG_SERIO_SERPORT);
undef(&CONFIG_SERIO_PARKBD) if defined(&CONFIG_SERIO_PARKBD);
unless(defined(&CONFIG_SERIO_GSCPS2)) {
    sub CONFIG_SERIO_GSCPS2 () {	1;}
}
undef(&CONFIG_SERIO_PCIPS2) if defined(&CONFIG_SERIO_PCIPS2);
undef(&CONFIG_SERIO_RAW) if defined(&CONFIG_SERIO_RAW);
unless(defined(&CONFIG_INPUT_KEYBOARD)) {
    sub CONFIG_INPUT_KEYBOARD () {	1;}
}
undef(&CONFIG_KEYBOARD_ATKBD) if defined(&CONFIG_KEYBOARD_ATKBD);
undef(&CONFIG_KEYBOARD_SUNKBD) if defined(&CONFIG_KEYBOARD_SUNKBD);
undef(&CONFIG_KEYBOARD_LKKBD) if defined(&CONFIG_KEYBOARD_LKKBD);
undef(&CONFIG_KEYBOARD_XTKBD) if defined(&CONFIG_KEYBOARD_XTKBD);
undef(&CONFIG_KEYBOARD_NEWTON) if defined(&CONFIG_KEYBOARD_NEWTON);
unless(defined(&CONFIG_INPUT_MOUSE)) {
    sub CONFIG_INPUT_MOUSE () {	1;}
}
undef(&CONFIG_MOUSE_PS2) if defined(&CONFIG_MOUSE_PS2);
undef(&CONFIG_MOUSE_SERIAL) if defined(&CONFIG_MOUSE_SERIAL);
undef(&CONFIG_MOUSE_VSXXXAA) if defined(&CONFIG_MOUSE_VSXXXAA);
unless(defined(&CONFIG_INPUT_JOYSTICK)) {
    sub CONFIG_INPUT_JOYSTICK () {	1;}
}
undef(&CONFIG_JOYSTICK_IFORCE) if defined(&CONFIG_JOYSTICK_IFORCE);
undef(&CONFIG_JOYSTICK_WARRIOR) if defined(&CONFIG_JOYSTICK_WARRIOR);
undef(&CONFIG_JOYSTICK_MAGELLAN) if defined(&CONFIG_JOYSTICK_MAGELLAN);
undef(&CONFIG_JOYSTICK_SPACEORB) if defined(&CONFIG_JOYSTICK_SPACEORB);
undef(&CONFIG_JOYSTICK_SPACEBALL) if defined(&CONFIG_JOYSTICK_SPACEBALL);
undef(&CONFIG_JOYSTICK_STINGER) if defined(&CONFIG_JOYSTICK_STINGER);
undef(&CONFIG_JOYSTICK_TWIDDLER) if defined(&CONFIG_JOYSTICK_TWIDDLER);
undef(&CONFIG_JOYSTICK_DB9) if defined(&CONFIG_JOYSTICK_DB9);
undef(&CONFIG_JOYSTICK_GAMECON) if defined(&CONFIG_JOYSTICK_GAMECON);
undef(&CONFIG_JOYSTICK_TURBOGRAFX) if defined(&CONFIG_JOYSTICK_TURBOGRAFX);
unless(defined(&CONFIG_INPUT_TOUCHSCREEN)) {
    sub CONFIG_INPUT_TOUCHSCREEN () {	1;}
}
undef(&CONFIG_TOUCHSCREEN_GUNZE) if defined(&CONFIG_TOUCHSCREEN_GUNZE);
unless(defined(&CONFIG_INPUT_MISC)) {
    sub CONFIG_INPUT_MISC () {	1;}
}
undef(&CONFIG_INPUT_UINPUT) if defined(&CONFIG_INPUT_UINPUT);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
unless(defined(&CONFIG_HW_CONSOLE)) {
    sub CONFIG_HW_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
unless(defined(&CONFIG_SERIAL_8250)) {
    sub CONFIG_SERIAL_8250 () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_CONSOLE)) {
    sub CONFIG_SERIAL_8250_CONSOLE () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_NR_UARTS)) {
    sub CONFIG_SERIAL_8250_NR_UARTS () {	4;}
}
unless(defined(&CONFIG_SERIAL_8250_EXTENDED)) {
    sub CONFIG_SERIAL_8250_EXTENDED () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_MANY_PORTS)) {
    sub CONFIG_SERIAL_8250_MANY_PORTS () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_SHARE_IRQ)) {
    sub CONFIG_SERIAL_8250_SHARE_IRQ () {	1;}
}
undef(&CONFIG_SERIAL_8250_DETECT_IRQ) if defined(&CONFIG_SERIAL_8250_DETECT_IRQ);
undef(&CONFIG_SERIAL_8250_MULTIPORT) if defined(&CONFIG_SERIAL_8250_MULTIPORT);
undef(&CONFIG_SERIAL_8250_RSA) if defined(&CONFIG_SERIAL_8250_RSA);
undef(&CONFIG_SERIAL_MUX) if defined(&CONFIG_SERIAL_MUX);
undef(&CONFIG_PDC_CONSOLE) if defined(&CONFIG_PDC_CONSOLE);
unless(defined(&CONFIG_SERIAL_CORE)) {
    sub CONFIG_SERIAL_CORE () {	1;}
}
unless(defined(&CONFIG_SERIAL_CORE_CONSOLE)) {
    sub CONFIG_SERIAL_CORE_CONSOLE () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTYS)) {
    sub CONFIG_LEGACY_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTY_COUNT)) {
    sub CONFIG_LEGACY_PTY_COUNT () {	256;}
}
unless(defined(&CONFIG_PRINTER)) {
    sub CONFIG_PRINTER () {	1;}
}
undef(&CONFIG_LP_CONSOLE) if defined(&CONFIG_LP_CONSOLE);
undef(&CONFIG_PPDEV) if defined(&CONFIG_PPDEV);
undef(&CONFIG_TIPAR) if defined(&CONFIG_TIPAR);
undef(&CONFIG_IPMI_HANDLER) if defined(&CONFIG_IPMI_HANDLER);
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
unless(defined(&CONFIG_GEN_RTC)) {
    sub CONFIG_GEN_RTC () {	1;}
}
undef(&CONFIG_GEN_RTC_X) if defined(&CONFIG_GEN_RTC_X);
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
undef(&CONFIG_DRM) if defined(&CONFIG_DRM);
undef(&CONFIG_RAW_DRIVER) if defined(&CONFIG_RAW_DRIVER);
undef(&CONFIG_I2C) if defined(&CONFIG_I2C);
undef(&CONFIG_W1) if defined(&CONFIG_W1);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
undef(&CONFIG_DVB) if defined(&CONFIG_DVB);
unless(defined(&CONFIG_FB)) {
    sub CONFIG_FB () {	1;}
}
undef(&CONFIG_FB_MODE_HELPERS) if defined(&CONFIG_FB_MODE_HELPERS);
undef(&CONFIG_FB_TILEBLITTING) if defined(&CONFIG_FB_TILEBLITTING);
undef(&CONFIG_FB_CIRRUS) if defined(&CONFIG_FB_CIRRUS);
undef(&CONFIG_FB_PM2) if defined(&CONFIG_FB_PM2);
undef(&CONFIG_FB_CYBER2000) if defined(&CONFIG_FB_CYBER2000);
undef(&CONFIG_FB_ASILIANT) if defined(&CONFIG_FB_ASILIANT);
undef(&CONFIG_FB_IMSTT) if defined(&CONFIG_FB_IMSTT);
unless(defined(&CONFIG_FB_STI)) {
    sub CONFIG_FB_STI () {	1;}
}
undef(&CONFIG_FB_RIVA) if defined(&CONFIG_FB_RIVA);
undef(&CONFIG_FB_MATROX) if defined(&CONFIG_FB_MATROX);
undef(&CONFIG_FB_RADEON_OLD) if defined(&CONFIG_FB_RADEON_OLD);
undef(&CONFIG_FB_RADEON) if defined(&CONFIG_FB_RADEON);
undef(&CONFIG_FB_ATY128) if defined(&CONFIG_FB_ATY128);
undef(&CONFIG_FB_ATY) if defined(&CONFIG_FB_ATY);
undef(&CONFIG_FB_SAVAGE) if defined(&CONFIG_FB_SAVAGE);
undef(&CONFIG_FB_SIS) if defined(&CONFIG_FB_SIS);
undef(&CONFIG_FB_NEOMAGIC) if defined(&CONFIG_FB_NEOMAGIC);
undef(&CONFIG_FB_KYRO) if defined(&CONFIG_FB_KYRO);
undef(&CONFIG_FB_3DFX) if defined(&CONFIG_FB_3DFX);
undef(&CONFIG_FB_VOODOO1) if defined(&CONFIG_FB_VOODOO1);
undef(&CONFIG_FB_TRIDENT) if defined(&CONFIG_FB_TRIDENT);
undef(&CONFIG_FB_VIRTUAL) if defined(&CONFIG_FB_VIRTUAL);
unless(defined(&CONFIG_STI_CONSOLE)) {
    sub CONFIG_STI_CONSOLE () {	1;}
}
unless(defined(&CONFIG_DUMMY_CONSOLE_COLUMNS)) {
    sub CONFIG_DUMMY_CONSOLE_COLUMNS () {	160;}
}
unless(defined(&CONFIG_DUMMY_CONSOLE_ROWS)) {
    sub CONFIG_DUMMY_CONSOLE_ROWS () {	64;}
}
unless(defined(&CONFIG_DUMMY_CONSOLE)) {
    sub CONFIG_DUMMY_CONSOLE () {	1;}
}
unless(defined(&CONFIG_FRAMEBUFFER_CONSOLE)) {
    sub CONFIG_FRAMEBUFFER_CONSOLE () {	1;}
}
undef(&CONFIG_FONTS) if defined(&CONFIG_FONTS);
unless(defined(&CONFIG_FONT_8x8)) {
    sub CONFIG_FONT_8x8 () {	1;}
}
unless(defined(&CONFIG_FONT_8x16)) {
    sub CONFIG_FONT_8x16 () {	1;}
}
undef(&CONFIG_LOGO) if defined(&CONFIG_LOGO);
undef(&CONFIG_BACKLIGHT_LCD_SUPPORT) if defined(&CONFIG_BACKLIGHT_LCD_SUPPORT);
unless(defined(&CONFIG_SOUND)) {
    sub CONFIG_SOUND () {	1;}
}
undef(&CONFIG_SND) if defined(&CONFIG_SND);
undef(&CONFIG_SOUND_PRIME) if defined(&CONFIG_SOUND_PRIME);
unless(defined(&CONFIG_USB)) {
    sub CONFIG_USB () {	1;}
}
unless(defined(&CONFIG_USB_DEBUG)) {
    sub CONFIG_USB_DEBUG () {	1;}
}
undef(&CONFIG_USB_DEVICEFS) if defined(&CONFIG_USB_DEVICEFS);
undef(&CONFIG_USB_BANDWIDTH) if defined(&CONFIG_USB_BANDWIDTH);
undef(&CONFIG_USB_DYNAMIC_MINORS) if defined(&CONFIG_USB_DYNAMIC_MINORS);
undef(&CONFIG_USB_OTG) if defined(&CONFIG_USB_OTG);
unless(defined(&CONFIG_USB_ARCH_HAS_HCD)) {
    sub CONFIG_USB_ARCH_HAS_HCD () {	1;}
}
unless(defined(&CONFIG_USB_ARCH_HAS_OHCI)) {
    sub CONFIG_USB_ARCH_HAS_OHCI () {	1;}
}
unless(defined(&CONFIG_USB_EHCI_HCD)) {
    sub CONFIG_USB_EHCI_HCD () {	1;}
}
undef(&CONFIG_USB_EHCI_SPLIT_ISO) if defined(&CONFIG_USB_EHCI_SPLIT_ISO);
undef(&CONFIG_USB_EHCI_ROOT_HUB_TT) if defined(&CONFIG_USB_EHCI_ROOT_HUB_TT);
unless(defined(&CONFIG_USB_OHCI_HCD)) {
    sub CONFIG_USB_OHCI_HCD () {	1;}
}
undef(&CONFIG_USB_UHCI_HCD) if defined(&CONFIG_USB_UHCI_HCD);
undef(&CONFIG_USB_SL811_HCD) if defined(&CONFIG_USB_SL811_HCD);
undef(&CONFIG_USB_AUDIO) if defined(&CONFIG_USB_AUDIO);
undef(&CONFIG_USB_BLUETOOTH_TTY) if defined(&CONFIG_USB_BLUETOOTH_TTY);
undef(&CONFIG_USB_MIDI) if defined(&CONFIG_USB_MIDI);
undef(&CONFIG_USB_ACM) if defined(&CONFIG_USB_ACM);
undef(&CONFIG_USB_PRINTER) if defined(&CONFIG_USB_PRINTER);
undef(&CONFIG_USB_STORAGE) if defined(&CONFIG_USB_STORAGE);
undef(&CONFIG_USB_HID) if defined(&CONFIG_USB_HID);
undef(&CONFIG_USB_KBD) if defined(&CONFIG_USB_KBD);
undef(&CONFIG_USB_MOUSE) if defined(&CONFIG_USB_MOUSE);
undef(&CONFIG_USB_AIPTEK) if defined(&CONFIG_USB_AIPTEK);
undef(&CONFIG_USB_WACOM) if defined(&CONFIG_USB_WACOM);
undef(&CONFIG_USB_KBTAB) if defined(&CONFIG_USB_KBTAB);
undef(&CONFIG_USB_POWERMATE) if defined(&CONFIG_USB_POWERMATE);
undef(&CONFIG_USB_MTOUCH) if defined(&CONFIG_USB_MTOUCH);
undef(&CONFIG_USB_EGALAX) if defined(&CONFIG_USB_EGALAX);
undef(&CONFIG_USB_XPAD) if defined(&CONFIG_USB_XPAD);
undef(&CONFIG_USB_ATI_REMOTE) if defined(&CONFIG_USB_ATI_REMOTE);
undef(&CONFIG_USB_MDC800) if defined(&CONFIG_USB_MDC800);
undef(&CONFIG_USB_MICROTEK) if defined(&CONFIG_USB_MICROTEK);
undef(&CONFIG_USB_DABUSB) if defined(&CONFIG_USB_DABUSB);
undef(&CONFIG_USB_CATC) if defined(&CONFIG_USB_CATC);
undef(&CONFIG_USB_KAWETH) if defined(&CONFIG_USB_KAWETH);
undef(&CONFIG_USB_PEGASUS) if defined(&CONFIG_USB_PEGASUS);
undef(&CONFIG_USB_RTL8150) if defined(&CONFIG_USB_RTL8150);
undef(&CONFIG_USB_USBNET) if defined(&CONFIG_USB_USBNET);
undef(&CONFIG_USB_USS720) if defined(&CONFIG_USB_USS720);
undef(&CONFIG_USB_SERIAL) if defined(&CONFIG_USB_SERIAL);
undef(&CONFIG_USB_EMI62) if defined(&CONFIG_USB_EMI62);
undef(&CONFIG_USB_EMI26) if defined(&CONFIG_USB_EMI26);
undef(&CONFIG_USB_AUERSWALD) if defined(&CONFIG_USB_AUERSWALD);
undef(&CONFIG_USB_RIO500) if defined(&CONFIG_USB_RIO500);
undef(&CONFIG_USB_LEGOTOWER) if defined(&CONFIG_USB_LEGOTOWER);
undef(&CONFIG_USB_LCD) if defined(&CONFIG_USB_LCD);
undef(&CONFIG_USB_LED) if defined(&CONFIG_USB_LED);
undef(&CONFIG_USB_CYTHERM) if defined(&CONFIG_USB_CYTHERM);
undef(&CONFIG_USB_PHIDGETKIT) if defined(&CONFIG_USB_PHIDGETKIT);
undef(&CONFIG_USB_PHIDGETSERVO) if defined(&CONFIG_USB_PHIDGETSERVO);
undef(&CONFIG_USB_IDMOUSE) if defined(&CONFIG_USB_IDMOUSE);
undef(&CONFIG_USB_GADGET) if defined(&CONFIG_USB_GADGET);
undef(&CONFIG_MMC) if defined(&CONFIG_MMC);
undef(&CONFIG_INFINIBAND) if defined(&CONFIG_INFINIBAND);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
undef(&CONFIG_EXT2_FS_XATTR) if defined(&CONFIG_EXT2_FS_XATTR);
unless(defined(&CONFIG_EXT3_FS)) {
    sub CONFIG_EXT3_FS () {	1;}
}
undef(&CONFIG_EXT3_FS_XATTR) if defined(&CONFIG_EXT3_FS_XATTR);
unless(defined(&CONFIG_JBD)) {
    sub CONFIG_JBD () {	1;}
}
undef(&CONFIG_JBD_DEBUG) if defined(&CONFIG_JBD_DEBUG);
undef(&CONFIG_REISERFS_FS) if defined(&CONFIG_REISERFS_FS);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
undef(&CONFIG_XFS_FS) if defined(&CONFIG_XFS_FS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
undef(&CONFIG_ROMFS_FS) if defined(&CONFIG_ROMFS_FS);
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
unless(defined(&CONFIG_DNOTIFY)) {
    sub CONFIG_DNOTIFY () {	1;}
}
undef(&CONFIG_AUTOFS_FS) if defined(&CONFIG_AUTOFS_FS);
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
unless(defined(&CONFIG_ISO9660_FS)) {
    sub CONFIG_ISO9660_FS () {	1;}
}
unless(defined(&CONFIG_JOLIET)) {
    sub CONFIG_JOLIET () {	1;}
}
undef(&CONFIG_ZISOFS) if defined(&CONFIG_ZISOFS);
undef(&CONFIG_UDF_FS) if defined(&CONFIG_UDF_FS);
undef(&CONFIG_MSDOS_FS) if defined(&CONFIG_MSDOS_FS);
undef(&CONFIG_VFAT_FS) if defined(&CONFIG_VFAT_FS);
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
unless(defined(&CONFIG_PROC_KCORE)) {
    sub CONFIG_PROC_KCORE () {	1;}
}
unless(defined(&CONFIG_SYSFS)) {
    sub CONFIG_SYSFS () {	1;}
}
undef(&CONFIG_DEVFS_FS) if defined(&CONFIG_DEVFS_FS);
undef(&CONFIG_DEVPTS_FS_XATTR) if defined(&CONFIG_DEVPTS_FS_XATTR);
unless(defined(&CONFIG_TMPFS)) {
    sub CONFIG_TMPFS () {	1;}
}
undef(&CONFIG_TMPFS_XATTR) if defined(&CONFIG_TMPFS_XATTR);
undef(&CONFIG_HUGETLB_PAGE) if defined(&CONFIG_HUGETLB_PAGE);
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
undef(&CONFIG_HFS_FS) if defined(&CONFIG_HFS_FS);
undef(&CONFIG_HFSPLUS_FS) if defined(&CONFIG_HFSPLUS_FS);
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
unless(defined(&CONFIG_NFS_V3)) {
    sub CONFIG_NFS_V3 () {	1;}
}
undef(&CONFIG_NFS_V4) if defined(&CONFIG_NFS_V4);
undef(&CONFIG_NFS_DIRECTIO) if defined(&CONFIG_NFS_DIRECTIO);
unless(defined(&CONFIG_NFSD)) {
    sub CONFIG_NFSD () {	1;}
}
unless(defined(&CONFIG_NFSD_V3)) {
    sub CONFIG_NFSD_V3 () {	1;}
}
undef(&CONFIG_NFSD_V4) if defined(&CONFIG_NFSD_V4);
unless(defined(&CONFIG_NFSD_TCP)) {
    sub CONFIG_NFSD_TCP () {	1;}
}
unless(defined(&CONFIG_ROOT_NFS)) {
    sub CONFIG_ROOT_NFS () {	1;}
}
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
unless(defined(&CONFIG_LOCKD_V4)) {
    sub CONFIG_LOCKD_V4 () {	1;}
}
unless(defined(&CONFIG_EXPORTFS)) {
    sub CONFIG_EXPORTFS () {	1;}
}
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
undef(&CONFIG_RPCSEC_GSS_KRB5) if defined(&CONFIG_RPCSEC_GSS_KRB5);
undef(&CONFIG_RPCSEC_GSS_SPKM3) if defined(&CONFIG_RPCSEC_GSS_SPKM3);
undef(&CONFIG_SMB_FS) if defined(&CONFIG_SMB_FS);
undef(&CONFIG_CIFS) if defined(&CONFIG_CIFS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_AFS_FS) if defined(&CONFIG_AFS_FS);
undef(&CONFIG_PARTITION_ADVANCED) if defined(&CONFIG_PARTITION_ADVANCED);
unless(defined(&CONFIG_MSDOS_PARTITION)) {
    sub CONFIG_MSDOS_PARTITION () {	1;}
}
unless(defined(&CONFIG_NLS)) {
    sub CONFIG_NLS () {	1;}
}
unless(defined(&CONFIG_NLS_DEFAULT)) {
    sub CONFIG_NLS_DEFAULT () {	"iso8859-1";}
}
undef(&CONFIG_NLS_CODEPAGE_437) if defined(&CONFIG_NLS_CODEPAGE_437);
undef(&CONFIG_NLS_CODEPAGE_737) if defined(&CONFIG_NLS_CODEPAGE_737);
undef(&CONFIG_NLS_CODEPAGE_775) if defined(&CONFIG_NLS_CODEPAGE_775);
undef(&CONFIG_NLS_CODEPAGE_850) if defined(&CONFIG_NLS_CODEPAGE_850);
undef(&CONFIG_NLS_CODEPAGE_852) if defined(&CONFIG_NLS_CODEPAGE_852);
undef(&CONFIG_NLS_CODEPAGE_855) if defined(&CONFIG_NLS_CODEPAGE_855);
undef(&CONFIG_NLS_CODEPAGE_857) if defined(&CONFIG_NLS_CODEPAGE_857);
undef(&CONFIG_NLS_CODEPAGE_860) if defined(&CONFIG_NLS_CODEPAGE_860);
undef(&CONFIG_NLS_CODEPAGE_861) if defined(&CONFIG_NLS_CODEPAGE_861);
undef(&CONFIG_NLS_CODEPAGE_862) if defined(&CONFIG_NLS_CODEPAGE_862);
undef(&CONFIG_NLS_CODEPAGE_863) if defined(&CONFIG_NLS_CODEPAGE_863);
undef(&CONFIG_NLS_CODEPAGE_864) if defined(&CONFIG_NLS_CODEPAGE_864);
undef(&CONFIG_NLS_CODEPAGE_865) if defined(&CONFIG_NLS_CODEPAGE_865);
undef(&CONFIG_NLS_CODEPAGE_866) if defined(&CONFIG_NLS_CODEPAGE_866);
undef(&CONFIG_NLS_CODEPAGE_869) if defined(&CONFIG_NLS_CODEPAGE_869);
undef(&CONFIG_NLS_CODEPAGE_936) if defined(&CONFIG_NLS_CODEPAGE_936);
undef(&CONFIG_NLS_CODEPAGE_950) if defined(&CONFIG_NLS_CODEPAGE_950);
undef(&CONFIG_NLS_CODEPAGE_932) if defined(&CONFIG_NLS_CODEPAGE_932);
undef(&CONFIG_NLS_CODEPAGE_949) if defined(&CONFIG_NLS_CODEPAGE_949);
undef(&CONFIG_NLS_CODEPAGE_874) if defined(&CONFIG_NLS_CODEPAGE_874);
undef(&CONFIG_NLS_ISO8859_8) if defined(&CONFIG_NLS_ISO8859_8);
undef(&CONFIG_NLS_CODEPAGE_1250) if defined(&CONFIG_NLS_CODEPAGE_1250);
undef(&CONFIG_NLS_CODEPAGE_1251) if defined(&CONFIG_NLS_CODEPAGE_1251);
undef(&CONFIG_NLS_ASCII) if defined(&CONFIG_NLS_ASCII);
undef(&CONFIG_NLS_ISO8859_1) if defined(&CONFIG_NLS_ISO8859_1);
undef(&CONFIG_NLS_ISO8859_2) if defined(&CONFIG_NLS_ISO8859_2);
undef(&CONFIG_NLS_ISO8859_3) if defined(&CONFIG_NLS_ISO8859_3);
undef(&CONFIG_NLS_ISO8859_4) if defined(&CONFIG_NLS_ISO8859_4);
undef(&CONFIG_NLS_ISO8859_5) if defined(&CONFIG_NLS_ISO8859_5);
undef(&CONFIG_NLS_ISO8859_6) if defined(&CONFIG_NLS_ISO8859_6);
undef(&CONFIG_NLS_ISO8859_7) if defined(&CONFIG_NLS_ISO8859_7);
undef(&CONFIG_NLS_ISO8859_9) if defined(&CONFIG_NLS_ISO8859_9);
undef(&CONFIG_NLS_ISO8859_13) if defined(&CONFIG_NLS_ISO8859_13);
undef(&CONFIG_NLS_ISO8859_14) if defined(&CONFIG_NLS_ISO8859_14);
undef(&CONFIG_NLS_ISO8859_15) if defined(&CONFIG_NLS_ISO8859_15);
undef(&CONFIG_NLS_KOI8_R) if defined(&CONFIG_NLS_KOI8_R);
undef(&CONFIG_NLS_KOI8_U) if defined(&CONFIG_NLS_KOI8_U);
undef(&CONFIG_NLS_UTF8) if defined(&CONFIG_NLS_UTF8);
unless(defined(&CONFIG_PROFILING)) {
    sub CONFIG_PROFILING () {	1;}
}
unless(defined(&CONFIG_OPROFILE)) {
    sub CONFIG_OPROFILE () {	1;}
}
unless(defined(&CONFIG_DEBUG_KERNEL)) {
    sub CONFIG_DEBUG_KERNEL () {	1;}
}
unless(defined(&CONFIG_MAGIC_SYSRQ)) {
    sub CONFIG_MAGIC_SYSRQ () {	1;}
}
undef(&CONFIG_SCHEDSTATS) if defined(&CONFIG_SCHEDSTATS);
undef(&CONFIG_DEBUG_SLAB) if defined(&CONFIG_DEBUG_SLAB);
undef(&CONFIG_DEBUG_SPINLOCK) if defined(&CONFIG_DEBUG_SPINLOCK);
undef(&CONFIG_DEBUG_KOBJECT) if defined(&CONFIG_DEBUG_KOBJECT);
undef(&CONFIG_DEBUG_INFO) if defined(&CONFIG_DEBUG_INFO);
undef(&CONFIG_DEBUG_IOREMAP) if defined(&CONFIG_DEBUG_IOREMAP);
undef(&CONFIG_DEBUG_FS) if defined(&CONFIG_DEBUG_FS);
undef(&CONFIG_KEYS) if defined(&CONFIG_KEYS);
undef(&CONFIG_SECURITY) if defined(&CONFIG_SECURITY);
unless(defined(&CONFIG_CRYPTO)) {
    sub CONFIG_CRYPTO () {	1;}
}
undef(&CONFIG_CRYPTO_HMAC) if defined(&CONFIG_CRYPTO_HMAC);
undef(&CONFIG_CRYPTO_NULL) if defined(&CONFIG_CRYPTO_NULL);
undef(&CONFIG_CRYPTO_MD4) if defined(&CONFIG_CRYPTO_MD4);
undef(&CONFIG_CRYPTO_MD5) if defined(&CONFIG_CRYPTO_MD5);
undef(&CONFIG_CRYPTO_SHA1) if defined(&CONFIG_CRYPTO_SHA1);
undef(&CONFIG_CRYPTO_SHA256) if defined(&CONFIG_CRYPTO_SHA256);
undef(&CONFIG_CRYPTO_SHA512) if defined(&CONFIG_CRYPTO_SHA512);
undef(&CONFIG_CRYPTO_WP512) if defined(&CONFIG_CRYPTO_WP512);
undef(&CONFIG_CRYPTO_DES) if defined(&CONFIG_CRYPTO_DES);
undef(&CONFIG_CRYPTO_BLOWFISH) if defined(&CONFIG_CRYPTO_BLOWFISH);
undef(&CONFIG_CRYPTO_TWOFISH) if defined(&CONFIG_CRYPTO_TWOFISH);
undef(&CONFIG_CRYPTO_SERPENT) if defined(&CONFIG_CRYPTO_SERPENT);
undef(&CONFIG_CRYPTO_AES) if defined(&CONFIG_CRYPTO_AES);
undef(&CONFIG_CRYPTO_CAST5) if defined(&CONFIG_CRYPTO_CAST5);
undef(&CONFIG_CRYPTO_CAST6) if defined(&CONFIG_CRYPTO_CAST6);
undef(&CONFIG_CRYPTO_TEA) if defined(&CONFIG_CRYPTO_TEA);
undef(&CONFIG_CRYPTO_ARC4) if defined(&CONFIG_CRYPTO_ARC4);
undef(&CONFIG_CRYPTO_KHAZAD) if defined(&CONFIG_CRYPTO_KHAZAD);
undef(&CONFIG_CRYPTO_ANUBIS) if defined(&CONFIG_CRYPTO_ANUBIS);
undef(&CONFIG_CRYPTO_DEFLATE) if defined(&CONFIG_CRYPTO_DEFLATE);
undef(&CONFIG_CRYPTO_MICHAEL_MIC) if defined(&CONFIG_CRYPTO_MICHAEL_MIC);
undef(&CONFIG_CRYPTO_CRC32C) if defined(&CONFIG_CRYPTO_CRC32C);
undef(&CONFIG_CRYPTO_TEST) if defined(&CONFIG_CRYPTO_TEST);
undef(&CONFIG_CRC_CCITT) if defined(&CONFIG_CRC_CCITT);
unless(defined(&CONFIG_CRC32)) {
    sub CONFIG_CRC32 () {	1;}
}
undef(&CONFIG_LIBCRC32C) if defined(&CONFIG_LIBCRC32C);
1;
